DJF1T

To extend the Alinco DJ-F1T 2m HT reception to cover the 108-143 MHz
AM band (air-band, double sideband AM):

1) Jot down any memory positions you have entered. There's a
good possibility that you'll lose them in the process.

2) Turn off HT and remove battery pack.

3) Remove the 5 screws to gain access to the logic board.
   There are 4 screws located on the rear panel of the HT with the
   5th screw located just under the PTT. Do not remove the screws
   holding the battery contacts to the rear panel.

4) Gently separate the rear panel from the front panel by holding
   open the battery lock switch (on the bottom of the HT) and holding
   the antenna BNC connection to swing the panel open, away from the
   display and button pad.

Note: Steps 3 and 4 are outlined with diagrams in the DJ-F1T manual,
page 52. Proceed gently. The panel will reveal two logic boards
connected by wire ribbons. If you tear the ribbons, you're in mucho
trouble!

5) Look at the logic board that's on the front panel (towards the
   display and button pad). Locate a red and a blue jumper wire on
   the lower 1/2 of the board. These two wires should be right next
   to each other.

6) Clip the red wire. This enables the 108-143 MHz AM receive.

Note) If you clip the blue wire, this will enable extended TX for MARS
      and CAP operation (The TX is disabled in the AM mode).

7) Make sure you arrange the clipped wire(s) in such a way that it
   doesn't short out anything.

8) Reassemble the HT and put the screws back in!

9) Put the battery pack on and reset the HT (this is where you'll
   lose the memories) to enable the new features.

10) The AM aircraft mode can only be activated in the VFO mode (but
    can be later saved into one of the 40 memory channels). In the
    VFO mode, press the "B" key on the pad. The display will now show
    an "A" towards the upper left corner, just under the power
    setting indicator. The frequency should also change to somewhere
    between 108 and 143 MHz (note, while in the aircraft mode, the
    freq. range is 108-143 MHz. In the FM mode, the range is 138-175
    MHz).

11) The "B" key toggles back and forth between aircraft and FM.  You
    can dial or enter a frequency between 108 and 143 MHz. The step
    rate here is 10 kHz but it can be changed (see your owner's manual).


