/* Interface control structure */
struct interface {
	int dev;		/* Subdevice number to pass to send */
	char *name;		/* Ascii string with interface name */
	void (*send)();		/* Routine to call to send a frame */
	struct datastr *
	(*recv)();		/* Routine to kick to process input */
	struct datastr *
	(*poll)();		/* Routine to call to get input */
	int (*open)();		/* Open this device */
	int (*close)();		/* Close this device */
};
