2000 'READ ATLAS
2010 FILE.NAME$="MAPPER.ATL":GOSUB CHECK.FILE
2020 PRINT : LOCATE 13, 16, 0:
2030 CALL MY.COLOR( 20, 14): PRINT " Fetching DX Atlas  .. Wait a While ";
2040 OPEN "I", 2, "MAPPER.ATL": K = 0
2050 WHILE NOT EOF(2)
2060       K = K + 1
2070       INPUT #2, ZPREFIX$(K), ZLAT(K), ZLONG(K), ZCOUNTRY$(K)
2080 WEND
2090 N.ATL = K
2100 CLOSE 2
2110 FILE.NAME$="PREFIX.ATL":GOSUB CHECK.FILE
2120 OPEN "I", 2, "PREFIX.ATL": K = 0
2130 WHILE NOT EOF(2)
2140       K = K + 1
2150       INPUT #2, QPREFIX$, QLAT(K), QLONG(K), QCOUNTRY$(K)
2160       QPREFIX.L$(K)=LEFT$(QPREFIX$,2)
2170       QPREFIX.H$(K)=MID$(QPREFIX$,5,2)
2180 WEND
2190 M.ATL = K
2200 CLOSE 2
2210 CALL MY.COLOR( 14, 0): CLS : PRINT : PRINT
2220 PRINT USING "             ### DX Atlas Entries Loaded"; N.ATL: PRINT
2230 PRINT
2240 ON ERROR GOTO 2310
2250 OPEN "I",2,"MAPPER1.SCR"
2260 CLOSE 2
2270 OPEN "I",2,"MAPPER2.SCR"
2280 CLOSE 2
2290 ON ERROR GOTO 0
2300 GOTO 3000
2310 MAP.FLAG%=-1
2320 RESUME NEXT
3000 FILE.NAME$="MAPPER.DEF":GOSUB CHECK.FILE
3010 OPEN "I", 2, "MAPPER.DEF"
3020 INPUT #2,VIDEO$
3030 INPUT #2, HOME.LAT, HOME.LON, SSN, T.DRAW
3040 FOR I = 1 TO NFREQ: INPUT #2, H.TXANT(I), TX.POL$(I), GT(I): NEXT I
3050 FOR I = 1 TO NFREQ: INPUT #2, H.RXANT(I), RX.POL$(I), GR(I): NEXT I
3060 INPUT #2, PT, E.MIN,METHOD: CLOSE 2
3070 'RENTRY POINT
3080 SCREEN 0:CLS 0: CALL MY.COLOR( 14,0)
3090 IF ABS(METHOD)=1 THEN METHOD$="MaxiMUF 3.0 using " ELSE  METHOD$="MiniMUF 3.5 using "
3100 IF METHOD>0 THEN METHOD$=METHOD$+"All Bounces" ELSE METHOD$=METHOD$+"Path Endpoint Bounces"
3110 PRINT "   Default Values Which Will Be Used Unless Changed"
3120 PRINT :
3130 PRINT USING "     1- Sunspot Number = ###        "; SSN
3140 PRINT USING "     2- Home Latitude/Longitude = ###.# N / ####.# W"; HOME.LAT; -HOME.LON
3150 PRINT USING "     3- Auto Redraw of Solar Terminator Every ### min"; T.DRAW
3160 PRINT USING "     4- Home Transmitter Power Output=#### Watts"; PT
3170 PRINT USING "     5- Minimum Elevation Angle=###.# deg"; E.MIN
3180 PRINT USING "     6- Graphics Mode &";VIDEO$
3190 PRINT USING "     7- Propagatation Method &";METHOD$
3200 PRINT "     8- Home Antenna .."
3210 PRINT "Band Freq(MHz) Ht(ft) Pol  Gain(dBi) .. Band Freq(MHz) Ht(ft) Pol  Gain(dBi)"
3220 FOR I = 1 TO NFREQ / 2
3230 PRINT USING " ##    ##.#    ###.#  \   \   ###.#      ##    ##.#    ###.#  \   \   ###.#"; I; FREQ(I); H.TXANT(I) * 3.28; TX.POL$(I); GT(I); I + NFREQ / 2; FREQ(I + NFREQ / 2); H.TXANT(I+NFREQ/2)*3.28; TX.POL$(I+NFREQ/2); GT(I+NFREQ/2)
3240 NEXT I
3250 PRINT "     9- DX   Antenna .."
3260 PRINT "Band Freq(MHz) Ht(ft) Pol  Gain(dBi) .. Band Freq(MHz) Ht(ft) Pol  Gain(dBi)"
3270 FOR I = 1 TO NFREQ / 2
3280 PRINT USING " ##    ##.#    ###.#  \   \   ###.#      ##    ##.#    ###.#  \   \   ###.#"; I; FREQ(I); H.RXANT(I) * 3.28; RX.POL$(I); GR(I); I + NFREQ / 2; FREQ(I + NFREQ / 2); H.RXANT(I+NFREQ/2)*3.28;RX.POL$(I+NFREQ/2);GR(I+NFREQ/2)
3290 NEXT I
3300 PRINT
3310 PRINT "   Enter (1-9) to change ... Anything else to accept";
3320 A$ = INPUT$(1): N = VAL(A$): PRINT : PRINT
3330 IF N = 1 THEN INPUT "Enter New Sunspot Number (negative for Solar Flux)"; SF: SSN = FNSUN.SPOT(SF): CLS : GOTO 3070
3340 IF N = 3 THEN INPUT "Enter Auto Redraw Interval (Minutes)"; T.DRAW: CLS : GOTO 3070
3350 IF N = 7 THEN
3360    INPUT "Use MaxiMUF (1*) or MiniMUF (2) Propagation Method";METHOD:IF METHOD=0 THEN METHOD=1
3370    INPUT "Calculate MUF Using All Hops (A*) or Only The Path Ends (E)";HOPS$
3380    IF HOPS$="E" OR HOPS$="e" THEN METHOD=-METHOD
3390    GOTO 3070
3400 END IF
3410 IF N = 8 THEN INPUT "Enter Band #,  Home Ant Ht (ft), Pol (H/V), and Gain (dBi)"; I, H.TXANT(I), TX.POL$(I), GT(I): H.TXANT(I) = H.TXANT(I) / 3.28
3420 IF N = 8 THEN A$ = LEFT$(TX.POL$(I), 1): IF A$ = "H" OR A$ = "h" THEN TX.POL$(I) = "Hor": CLS : GOTO 3070 ELSE TX.POL$(I) = "Vert": CLS : GOTO 3070
3430 IF N = 9 THEN INPUT "Enter Band #,  DX   Ant Ht (ft), Pol (H/V), and Gain (dBi)"; I, H.RXANT(I), RX.POL$(I), GR(I): H.RXANT(I) = H.RXANT(I) / 3.28
3440 IF N = 9 THEN A$ = LEFT$(RX.POL$(I), 1): IF A$ = "H" OR A$ = "h" THEN RX.POL$(I) = "Hor": CLS : GOTO 3070 ELSE RX.POL$(I) = "Vert": CLS : GOTO 3070
3450 IF N = 4 THEN INPUT "Enter Home Transmit Power Output (W)"; PT: CLS : GOTO 3070
3460 IF N = 5 THEN INPUT "Enter Min Elevation Launch Angle (deg)"; E.MIN: CLS : GOTO 3070
3470 IF N = 6 THEN
3480    PRINT "Graphics Types "
3490    FOR I=1 TO NDISP:PRINT I,SCREEN.TYPES$(I):NEXT I
3500    PRINT USING "Enter Graphics Type ( 1-## )";NDISP;:INPUT I
3510    IF I<1 OR I>NDISP THEN GOTO 3500
3520    VIDEO$=SCREEN.TYPES$(I)
3530    CALL UPPER.CASE(VIDEO$): MAP.FLAG%=-1
3540    CLS : GOTO 3070
3550 END IF
3560 IF N <> 2 THEN 4000
3570 INPUT "Enter Home Latitude  (Positive For North Latitude,  Negative South) "; HOME.LAT
3580 INPUT "Enter Home Longitude (Positive For West  Longitude, Negative East) "; HOME.LON: HOME.LON = -HOME.LON
3590 HOME.LON = HOME.LON MOD 360: IF HOME.LON > 180 THEN HOME.LON = HOME.LON - 360
3600 IF HOME.LON < -180 THEN HOME.LON = 360 + HOME.LON
3610 CLS : MAP.FLAG% = -1: GOTO 3070
4000 FILE.NAME$="MAPPER.DEF":GOSUB CHECK.FILE
4010 OPEN "O", 2, "MAPPER.DEF":
4020 PRINT #2,VIDEO$
4030 PRINT #2, HOME.LAT, HOME.LON, SSN, T.DRAW
4040 FOR I = 1 TO NFREQ: PRINT #2, H.TXANT(I); ",", TX.POL$(I); ",", GT(I): NEXT I
4050 FOR I = 1 TO NFREQ: PRINT #2, H.RXANT(I); ",", RX.POL$(I); ",", GR(I): NEXT I
4060 PRINT #2, PT; ",", E.MIN,",",METHOD
4070 CLOSE 2: CLS 0:GOSUB SCRN.MODE
4080 FOR I = 1 TO NFREQ
4090 IF LEFT$(TX.POL$(I), 1) = "V" THEN TX.POL%(I) = -1
4100 IF LEFT$(RX.POL$(I), 1) = "V" THEN RX.POL%(I) = -1
4110 NEXT I
4120 ON TIMER(60 * T.DRAW) GOSUB REDRAW
4130 IF MAP.FLAG% THEN
4140    GOSUB LAT.LON.SCRN
4150    GOSUB FETCH.MAP
4160    MAP.FLAG%=0:OP%=1
4170    GOTO RESTORE.SCREEN
4180 END IF
4190 CALL GET.SEG(NSTORE1(),NSEG,NOFF)
4200 FILE.NAME$="MAPPER1.SCR":GOSUB CHECK.FILE
4210 DEF SEG = NSEG: BLOAD "MAPPER1.SCR", NOFF: DEF SEG
4220 CALL GET.SEG(NSTORE2(),NSEG,NOFF)
4230 FILE.NAME$="MAPPER2.SCR":GOSUB CHECK.FILE
4240 DEF SEG = NSEG: BLOAD "MAPPER2.SCR", NOFF: DEF SEG
5000 RESTORE.SCREEN:
5010 TIMER ON
5020 GOSUB GET.DATE: GOSUB LAT.LON.SCRN
5030 CLS : IF PAINT.FLAG% THEN PAINT  (0, 0), 0, COLOR.ARRAY%(1)
5040 GOSUB DRAW.TERMINATOR
5050 PUT (-180,-90), NSTORE1, OR
5060 PUT (0,-90), NSTORE2, OR
5070 GOSUB PAINT.OCEANS
5080 GOSUB DRAW.LAT.LON

6000 MENU:
6005 GOSUB MENU.BAR
6010 FOR I = 1 TO 10: KEY(I) ON: NEXT I
6020 A$ = INKEY$: IF A$ = "" THEN 6020
6030 FOR I = 1 TO 10: KEY(I) OFF: NEXT I
6032 LOCATE MAX.LINE, 1
6034 PRINT "    Executing an Option .. Don't Use Function Keys Until Menu Bar Comes Back!  ";
6036 CALL MY.COLOR(14,0)
6040 ON OP% GOTO 6070, 6110, 6140, 6220, 6240, 6260,  6190, 6060,6340
6050 GOTO MENU
6060 DIAG%=NOT DIAG%:GOTO MENU
6070 'LOCATION BY PREFIX
6080 GOSUB GET.PREFIX
6090 IF K > 0 THEN K.SAVE=K:GOTO PATH.CALCULATION
6100 GOSUB DELAY: GOTO MENU
6110 'LOCATION BY COUNTRY NAME
6120 GOSUB GET.COUNTRY: IF K > 0 THEN GOTO PATH.CALCULATION
6130 GOSUB DELAY: GOTO MENU
6140 'LAT/LON
6150 GOSUB CLEAR.TEXT: PRINT "Enter DX Lat/Long "
6160 INPUT XLAT, XLONG: XLONG = -XLONG: K = 1: XLAT(1) = XLAT: XLONG(1) = XLONG
6170 PREFIX$(1) = "": COUNTRY$(1) = "Lat= " + STR$(XLAT) + " .. Long= " + STR$(-XLONG)
6180 GOTO 30010
6190 'NEW SSN
6200 CLS 0: GOTO 3000
6210 GOSUB CLEAR.TEXT: INPUT "Enter Sunspot Num "; SSN: GOSUB 46230: GOTO MENU
6220 'NEW DATE
6230 TIMER OFF: GOSUB CLEAR.TEXT: GOSUB GET.NEW.DATE: GOTO 5030
6240 'REAL TIME MODE
6250 GOTO RESTORE.SCREEN
6260 'Toggle Long/SHORT PATH
6270 PATH% = NOT PATH% :K=K.SAVE
6280 IF K>0 THEN GOSUB CLEAR.TEXT:GOTO PATH.CALCULATION
6290 GOTO MENU:
6300 'SET LONG PATH
6310 PATH% = -1: K=K.SAVE
6320 IF K>0 THEN GOSUB CLEAR.TEXT:GOTO PATH.CALCULATION
6330 GOTO MENU:
6340 END
7000 MENU.BAR:
7010 LOCATE MAX.LINE, 1
7020 FOR I = 1 TO 9: CALL MY.COLOR( 2,0)
7030     J=I:IF J=10 THEN J=0
7040     PRINT " F" + CHR$(48 + J);
7050     CALL MY.COLOR( 14,0): PRINT LEGEND$(I);
7060 NEXT I
7070 RETURN
10000 OP% = 1: RETURN 6030
10010 OP% = 2: RETURN 6030
10020 OP% = 3: RETURN 6030
10030 OP% = 4: RETURN 6030
10040 OP% = 5: RETURN 6030
10050 OP% = 6: RETURN 6030
10060 OP% = 7: RETURN 6030
10070 OP% = 8: RETURN 6030
10080 OP% = 9: RETURN 6030
10090 OP% = 10: RETURN 6030
15000 SUB TRANSFORM (X0, Y0, X2, Y2, POLAR%) STATIC
15010  STATIC CT0, ST0, NFLAG
15020 SHARED  HOME.LAT, HOME.LON
15030  IF NOT NFLAG THEN GOTO INITIALIZE
15040 NORMAL:
15050  X = X0: Y = Y0
15060  Y = FNXFORM(Y): IF NOT POLAR% THEN X2 = X: Y2 = Y: EXIT SUB
15070  CT = COS(X / CNV): ST = SIN(X / CNV): CP = COS(Y / CNV): SP = SIN(Y / CNV)
15080  X1 = CT0 * ST - ST0 * CT * CP
15090  Y1 = CT * SP: Z1 = ST0 * ST + CT0 * CT * CP
15100  LAM! = FNACOS(Z1): PSI = FNATN2(X1, Y1)
15110  R = LAM! / PI: X2 = R * SIN(PSI): Y2 = R * COS(PSI)
15120  EXIT SUB
15130 INITIALIZE:
15140  CT0 = COS(HOME.LAT / CNV): ST0 = SIN(HOME.LAT / CNV)
15150  NFLAG = -1: GOTO NORMAL
15160 END SUB
20000 LAT.LON.SCRN:
20010 XBEGIN = -180: XEND = 180: YBEGIN = -90: YEND = 90
20020 CALL SCALE(XBEGIN, XEND, YBEGIN, YEND, XDAT(), YDAT())
20030 NCOLOR = COLOR.ARRAY%(1): XTIC = 30: YTIC = 15
20040 CALL AXES(NCOLOR, NX.BEGIN, NX.END, NY.BEGIN, NY.END, XDAT(), YDAT(), XTIC, YTIC)
20050 LINE (-179.5, -89.5)-(179.5, 89.5), COLOR.ARRAY%(1), B: CALL MY.COLOR( 14,0)
20060 RETURN
21000 REDRAW:
21010 GOSUB GET.DATE: GOSUB LAT.LON.SCRN
21020 CLS : IF PAINT.FLAG% THEN PAINT  (0, 0), 0, COLOR.ARRAY%(1)
21030 GOSUB DRAW.TERMINATOR
21040 PUT (-180, -90), NSTORE1, OR
21050 PUT (0, -90), NSTORE2, OR
21060 GOSUB PAINT.OCEANS
21070 GOSUB DRAW.LAT.LON
21080 TIMER ON
21090 RETURN
22000 GET.PREFIX: 'FETCH COUNTRY DATA
22010 CALL MY.COLOR( 14,0)
22020 GOSUB CLEAR.TEXT
22030 INPUT "Enter DX Prefix"; PF$
22040 L2 = LEN(PF$): CALL UPPER.CASE(PF$)
22050 LOCATE 5, 1: PRINT SPACE$(24); : LOCATE 5, 1: JP = 0:KP=0
22060 K = 1
22070 IF JP > N.ATL THEN GOTO 22180
22080 JP = JP + 1
22090 PREFIX$(K) = ZPREFIX$(JP): COUNTRY$(K) = ZCOUNTRY$(JP)
22100 XLAT(K) = ZLAT(JP): XLONG(K) = ZLONG(JP)
22110 L1 = LEN(PREFIX$(K)): A$ = PF$
22120 IF L2 > L1 THEN GOTO 22070
22130 IF LEFT$(PREFIX$(K), L2) <> PF$ THEN GOTO 22070
22140 PRINT USING "## "; K;
22150 PRINT LEFT$(PREFIX$(K) + "  " + COUNTRY$(K), 20)
22160 K = K + 1
22170 IF K < MAX.LINE - 8 THEN GOTO 22070
22180 PRINT : IF K > 1 THEN GOTO 22300
22190 IF KP > M.ATL THEN GOTO 22290
22200 KP = KP + 1
22210 PREFIX$(K) = QPREFIX.L$(KP)+"-"+QPREFIX.H$(KP)
22220 COUNTRY$(K) = QCOUNTRY$(KP)
22230 XLAT(K) = QLAT(KP): XLONG(K) = QLONG(KP)
22240 IF NOT( PF$>=QPREFIX.L$(KP) AND PF$<= QPREFIX.H$(KP)) THEN GOTO 22190
22250 PRINT USING "## "; K;
22260 PRINT LEFT$(PREFIX$(K) + "  " + COUNTRY$(K), 20)
22270 K = K + 1
22280 IF K < MAX.LINE - 8 THEN GOTO 22190
22290 PRINT : IF K = 1 THEN PRINT PF$ + " Not Found   "; : K = -1: RETURN
22300 K.FINISH=K>1 AND (  (JP > N.ATL AND  KP<=M.ATL) OR  KP>M.ATL )
22310 IF K.FINISH THEN
22320    INPUT "Select one (*1)"; K
22330    IF K = 0 THEN K=1
22340 ELSE
22350    PRINT "Select one "
22360    INPUT "<CR> for More"; K
22370    IF K = 0 THEN
22380       GOSUB CLEAR.TEXT
22390       GOTO 22060
22400    END IF
22410 END IF
22420 GOSUB CLEAR.TEXT
22430 XLONG(K) = -XLONG(K): RETURN
23000 GET.COUNTRY: 'FETCH COUNTRY DATA
23010 CALL MY.COLOR( 14,0)
23020 GOSUB CLEAR.TEXT
23030 PRINT "Enter Country Name ": INPUT CTY$: L2 = LEN(CTY$): CALL UPPER.CASE(CTY$)
23040 LOCATE 5, 1: PRINT SPACE$(24); : LOCATE 6, 1: PRINT SPACE$(24); : LOCATE 5, 1: JP = 0
23050 K = 1
23060 IF JP > N.ATL THEN GOTO 23130
23070 JP = JP + 1: PREFIX$(K) = ZPREFIX$(JP): COUNTRY$(K) = ZCOUNTRY$(JP): XLAT(K) = ZLAT(JP): XLONG(K) = ZLONG(JP)
23080 L1 = LEN(COUNTRY$(K)): A$ = CTY$: IF L2 > L1 THEN A$ = LEFT$(A$, L1)
23090 COUNTRY$ = COUNTRY$(K): CALL UPPER.CASE(COUNTRY$)
23100 IF INSTR(COUNTRY$, A$) = 0 THEN 23060
23110 PRINT USING "## "; K; : PRINT LEFT$(PREFIX$(K) + "  " + COUNTRY$(K), 20): K = K + 1
23120 IF K < MAX.LINE - 7 THEN 23060
23130 PRINT : IF K = 1 THEN PRINT CTY$ + " Not Found   "; : K = -1: RETURN
23140 INPUT "Select one "; K
23150 IF K = 0 THEN K = 1: IF JP = N.ATL THEN PRINT CTY$ + " Not Found   "; : K = -1: RETURN ELSE GOSUB CLEAR.TEXT: GOTO 23060
23160 GOSUB CLEAR.TEXT
23170 XLONG(K) = -XLONG(K): RETURN
24000 GET.NEW.DATE: 'ENTER NEW DATE AND TIME
24010 INPUT "Date (MM-DD) "; D$
24020 INPUT "Time (HH:MM) "; T$
24030 IF D$ = "" THEN D$ = DATE$
24040 IF T$ = "" THEN T$ = TIME$
24050 RETURN
25000 GET.DATE: D$ = DATE$: T$ = TIME$
25010 RETURN
30000 PATH.CALCULATION:
30010 XLAT = XLAT(K): XLONG = XLONG(K):K.KEEP=K
30020 LOCATE 1, 26: PRINT SPACE$(54); : LOCATE 1, 26
30030 CALL MY.COLOR( 14,0): A$ = LEFT$(" " + PREFIX$(K) + "  " + COUNTRY$(K), 48) + " ": L = LEN(A$): B$ = A$: IF L < 48 THEN B$ = " " + STRING$(47, "*") + " ": MID$(B$, (49 - L) / 2) = A$
30040 PRINT B$; : EXTRA% = 0
30050 CALL PROPAGATE(METHOD,HOME.LAT, HOME.LON, XLAT, XLONG, PATH%, M0 + 1, D0, T0, SSN, NHOPS, EXTRA%, F.MUF, F.LUF, E.CUTOFF,GMT)
30060 LOCATE 2, 26: PRINT SPACE$(54): LOCATE 2, 26
30070 PRINT USING "Fmuf=##.# Fluf=##.# F-Ecof=##.# MHz ## Hops"; F.MUF; F.LUF; E.CUTOFF; NHOPS
30080 CALL TRANSFORM(XLAT, XLONG, X, Y, -1)
30090 IF PATH% THEN PATH$ = "Long " ELSE PATH$ = "Short"
30100 LOCATE 1, 1: PRINT USING "Predicting \   \ Path to"; PATH$
30110 RNG = SQR(X ^ 2 + Y ^ 2) * PI * RE: IF PATH% THEN RNG = 2 * PI * RE - RNG: X = -X: Y = -Y
30120 AZIM = FNATN2(Y, X) * CNV
30130 IF AZIM < 0 THEN AZIM = 360 + AZIM
30140 LOCATE 2, 1: PRINT SPACE$(24); : LOCATE 2, 1
30150 PRINT USING "Range=#####km,#####nm"; RNG; RNG / 1.85;
30160 LOCATE 3, 1: PRINT SPACE$(24); : LOCATE 3, 1
30170 PRINT USING "Az=#### El=###.# deg"; AZIM; ELEV; : CALL MY.COLOR( 14,0)
30180 GOSUB PRINT.STRENGTH
30190 CLAT = COS(XLAT / CNV): SLAT = SIN(XLAT / CNV)
30200 XLONG = FNXFORM(XLONG)
30210 CLONG = COS(XLONG / CNV): SLONG = SIN(XLONG / CNV)
30220 XT(1) = CLAT * CLONG: XT(2) = CLAT * SLONG: XT(3) = SLAT
30230 XI(1) = COS(HOME.LAT / CNV): XI(2) = 0: XI(3) = SIN(HOME.LAT / CNV)
30240 IF ERASE.FLAG% THEN
30250    CALL MYLINE(0, X(), Y(), IPTS, XDAT(), YDAT())
30260 END IF
30270 IPTS = 101: IF PATH% THEN DPATH = -270 / (CNV * (IPTS - 1)) ELSE DPATH = 90 / (CNV * (IPTS - 1))
30280 J = 0: FOR JJ = 1 TO IPTS: RHO = COS((JJ - 1) * DPATH): RHO1 = SIN((JJ - 1) * DPATH)
30290 SUM = 0: FOR K = 0 TO 3: XU(K) = XT(K) * RHO1 + XI(K) * RHO: SUM = SUM + XU(K) ^ 2: NEXT K
30300 SUM = SQR(SUM): FOR K = 1 TO 3: XU(K) = XU(K) / SUM: NEXT K
30310 J = J + 1: Y(J) = CNV * ATN(XU(3) / SQR(XU(1) ^ 2 + XU(2) ^ 2))
30320 XU(1) = XU(1) / COS(Y(J) / CNV): XU(2) = XU(2) / COS(Y(J) / CNV)
30330 IF XU(1) <> 0 THEN X(J) = CNV * ATN(XU(2) / XU(1)) ELSE X(J) = 90 * SGN(XU(2))
30340 IF XU(1) < 0 THEN IF X(J) < 0 THEN X(J) = 180 + X(J) ELSE X(J) = -180 + X(J)
30350 NEXT JJ
30360 ERASE.FLAG% = -1
30370 CALL MYLINE(13, X(), Y(), IPTS, XDAT(), YDAT())
30380 IF DIAG% THEN GOSUB MUF.LOOP
30390 GOTO MENU

32000 MUF.LOOP:
32010 K=K.KEEP
32020 XLAT = XLAT(K): XLONG = XLONG(K):
32030 WIDTH LPRINT 80
32040 A$ = LEFT$(" " + PREFIX$(K) + "  " + COUNTRY$(K), 48) + " ": L = LEN(A$): B$ = A$: IF L < 48 THEN B$ = " " + STRING$(47, "*") + " ": MID$(B$, (49 - L) / 2) = A$
32050 CALL TRANSFORM(XLAT, XLONG, X, Y, -1)
32060 IF PATH% THEN PATH$ = "Long " ELSE PATH$ = "Short"
32070 LPRINT USING "Predicting \   \ Path to"; PATH$;
32080 LPRINT B$
32090 RNG = SQR(X ^ 2 + Y ^ 2) * PI * RE: IF PATH% THEN RNG = 2 * PI * RE - RNG: X = -X: Y = -Y
32100 AZIM = FNATN2(Y, X) * CNV
32110 IF AZIM < 0 THEN AZIM = 360 + AZIM
32120 LPRINT USING "Range=#####km,#####nm"; RNG; RNG / 1.85;
32130 LPRINT USING "Az=#### El=###.# deg"; AZIM; ELEV
32140 LPRINT USING "\\ \  \ \\:\\ Local .. Sunspot Number = ####"; D0$; MONTH$(M0); H0$; M0$; SSN
32150 LPRINT ""
32160 NP=0:REDIM YP(25)
32170 FOR GMT0=0 TO 24.01
32180 T00=GMT0+HOME.LON/15:T00=FNT.MOD(T00,24)
32190 CALL PROPAGATE(METHOD,HOME.LAT, HOME.LON, XLAT, XLONG, PATH%, M0 + 1, D0, T00, SSN, NHOPS, EXTRA%, F.MUF, F.LUF, E.CUTOFF,GMT)
32200 LPRINT USING "T=###.# GMT=###.# Fmuf=##.# Fluf=##.# F-Ecof=##.# MHz ## Hops"; T00;GMT;F.MUF; F.LUF; E.CUTOFF; NHOPS
32210 GOSUB LPRINT.STRENGTH
32220 NP=NP+1:YP(NP)=F.MUF
32230 NEXT
32240 LPRINT CHR$(12);
33000 XY=0
33010 LPRINT USING "Predicting \   \ Path to"; PATH$;
33020 LPRINT B$
33030 LPRINT USING "Range=#####km,#####nm"; RNG; RNG / 1.85;
33040 LPRINT USING "Az=#### El=###.# deg"; AZIM; ELEV
33050 LPRINT USING "\\ \  \ \\:\\ Local .. Sunspot Number = ####"; D0$; MONTH$(M0); H0$; M0$; SSN
33060 LPRINT "" :LPRINT ""
33070 LPRINT TAB(20); "0    5   10   15   20   25   30   35   40 MHZ"
33080 LPRINT TAB(10); "UTC"; TAB(20); ":----:----:----:----:----:----:----:----:"
33090 FOR KT = 1 TO NP
33100 YL = YP(KT) / (1.13 + XY / 1800)
33110 YU = YP(KT) / (.87 - XY / 1800)
33120 LPRINT TAB(10); KT-1;
33130 FOR PQ = INT(YL) - 1 TO INT(YP(KT) + .5) - 1 STEP 1
33140 LPRINT TAB(20 + PQ); "-";
33150 NEXT PQ
33160 LPRINT TAB(20 + INT(YP(KT) + .5)); "*";
33170 FOR PQ = INT(YP(KT) + .5) + 1 TO INT(YU + .5) STEP 1
33180 LPRINT TAB(20 + PQ); "-";
33190 NEXT PQ
33200 NEXT KT
33210 LPRINT TAB(20); ":----:----:----:----:----:----:----:----:"
33220 LPRINT TAB(20); "0    5   10   15   20   25   30   35   40 MHZ"
33230 LPRINT : LPRINT TAB(25); "* = MAXIMUM USABLE FREQUENCY": LPRINT
33240 LPRINT TAB(15); "FREQUENCY DATA SHOWING MUF AND RANGE FROM F(90%) TO F(10%)"
33250 LPRINT CHR$(12);
33260 RETURN
34000 PRINT.STRENGTH:
34010 LOCATE 5, 1: CALL MY.COLOR( 14,0)
34020 PRINT "Signal Predictions (dB)": PRINT : PRINT "Freq  Lref  Labs Prcv": PRINT "       Ltx   Lrx  "
34030 S.COUNT% = 0: PR.BEST = -1000: N.BEST = 1: NO.PATH% = -1: FOR I = NFREQ TO 1 STEP -1: IF FREQ(I) < 1.2 * F.MUF AND PR(I) > PR.BEST THEN PR.BEST = PR(I): N.BEST = I
34040 IF S.COUNT% >= 7 THEN 34070
34050 IF PR(I) > -20 AND FREQ(I) > .8 * F.LUF AND FREQ(I) < 1.2 * F.MUF THEN NO.PATH% = 0: S.COUNT% = S.COUNT% + 1: PRINT USING "##.# ###.# ###.# #### "; FREQ(I); -REF.LOSS(I); ABSORB.LOSS(I); PR(I)
34060 IF PR(I) > -20 AND FREQ(I) > .8 * F.LUF AND FREQ(I) < 1.2 * F.MUF THEN NO.PATH% = 0: PRINT USING "     ###.# ###.#      "; -TX.LOSS(I); -RX.LOSS(I)
34070 NEXT I: I = N.BEST
34080 IF NO.PATH% THEN PRINT USING "##.# ###.# ###.# #### "; FREQ(I); -REF.LOSS(I); ABSORB.LOSS(I); PR(I)
34090 IF NO.PATH% THEN PRINT USING "     ###.# ###.#      "; -TX.LOSS(I); -RX.LOSS(I)
34100 IF NO.PATH% THEN PRINT : PRINT "No Feasible Freq"
34110 IF NO.PATH% THEN PRINT "Best of Bad Lot is Shown"
34120 RETURN
35000 LPRINT.STRENGTH:
35010 LPRINT "Freq Prcv  Lref  Labs   Ltx   Lrx  "
35020 S.COUNT% = 0: PR.BEST = -1000
35030 N.BEST = 1: NO.PATH% = -1
35040 FOR I = NFREQ TO 1 STEP -1
35050 IF FREQ(I) < 1.2 * F.MUF AND PR(I) > PR.BEST THEN
35060    PR.BEST = PR(I)
35070    N.BEST = I
35080 END IF
35090 IF S.COUNT% >= 20 THEN 35140
35100 IF PR(I) > -20 AND FREQ(I) > .8 * F.LUF AND FREQ(I) < 1.2 * F.MUF THEN
35110    NO.PATH% = 0: S.COUNT% = S.COUNT% + 1
35120    LPRINT USING "##.# #### ###.# ###.# ###.# ###.#  "; FREQ(I);PR(I); -REF.LOSS(I); ABSORB.LOSS(I); -TX.LOSS(I); -RX.LOSS(I)
35130 END IF
35140 NEXT I
35150 I = N.BEST
35160 IF NO.PATH% THEN
35170    LPRINT USING "##.# #### ###.# ###.# ###.# ###.#  "; FREQ(I);PR(I); -REF.LOSS(I); ABSORB.LOSS(I); -TX.LOSS(I); -RX.LOSS(I)
35180    LPRINT "No Feasible Freq ... Best of Bad Lot is Shown"
35182 END IF
35184 LPRINT
35190 RETURN
40000 SCRN.MODE:
40010 IF VIDEO$="VGA" THEN
40020    SCR.MODE%=12
40030 ELSEIF VIDEO$="EGA" THEN
40040    SCR.MODE%=9
40050 ELSEIF VIDEO$="MCGA" THEN
40060    SCR.MODE%=11
40070 ELSEIF VIDEO$="CGA" THEN
40080    SCR.MODE%=2
40090 ELSEIF VIDEO$="HERC" THEN
40100    SCR.MODE%=3
40110 ELSEIF VIDEO$="MONO" THEN
40120    SCR.MODE%=10
40130 END IF
40140 IF SCR.MODE%=12 THEN
40150    RESTORE 41010:READ MAX.LINE,MAX.VERT,NX.BEGIN,NX.END,NY.BEGIN,NY.END,PAINT.FLAG%
40160 ELSEIF SCR.MODE%=9 THEN
40170    RESTORE 41030:READ MAX.LINE,MAX.VERT,NX.BEGIN,NX.END,NY.BEGIN,NY.END,PAINT.FLAG%
40180 ELSEIF SCR.MODE%=11 THEN
40190    RESTORE 41050:READ MAX.LINE,MAX.VERT,NX.BEGIN,NX.END,NY.BEGIN,NY.END,PAINT.FLAG%
40200 ELSEIF SCR.MODE%=2 THEN
40210    RESTORE 41070:READ MAX.LINE,MAX.VERT,NX.BEGIN,NX.END,NY.BEGIN,NY.END,PAINT.FLAG%
40220 ELSEIF SCR.MODE%=10 THEN
40230    RESTORE 41090:READ MAX.LINE,MAX.VERT,NX.BEGIN,NX.END,NY.BEGIN,NY.END,PAINT.FLAG%
40240 ELSEIF SCR.MODE%=3 THEN
40250    RESTORE 41110:READ MAX.LINE,MAX.VERT,NX.BEGIN,NX.END,NY.BEGIN,NY.END,PAINT.FLAG%
40260 END IF
40270 FOR I=0 TO 7:READ COLOR.ARRAY%(I):NEXT
40280 ROW1$=CHR$(0)+CHR$(&H0)+CHR$(&HFF)+CHR$(&H33)
40290 ROW2$=CHR$(0)+CHR$(&H0)+CHR$(&HFF)+CHR$(&HCC)
40300 SUN$=ROW1$+ROW1$+ROW2$+ROW2$:SUN$=SUN$+SUN$
40310 GOTO 40450
40320 IF SCR.MODE%=9 OR SCR.MODE%=12 THEN
40330    RESTORE 41130
40340    FOR I=1 TO 7:READ BOUNDARY$(I):NEXT
40350    FOR I=0 TO 15 :READ COLOR.SET$(I):NEXT
40360    CHANGE.COLORS:
40370    CLS:PRINT:PRINT
40380    FOR I=1 TO 7
40390    PRINT USING "### - \             \  Color Code = ### ( \               \ )";I,BOUNDARY$(I),COLOR.ARRAY%(I),COLOR.SET$(COLOR.ARRAY%(I))
40400    NEXT
40410    PRINT
40420    INPUT "Enter Border Code,New Color Code (0 to Quit)";I,NN
40430    IF I>0 THEN COLOR.ARRAY%(I)=NN:GOTO CHANGE.COLORS
40440 END IF
40450 SCREEN SCR.MODE%
40460 RETURN
41000 'GRAPHICS PARAMETERS
41010  DATA 30,479,200,600,20,400,-1 :  'VGA
41020  DATA 0,14,7,0,7,14,10,11
41030  DATA 25,349,200,600,20,300,-1 :  'EGA
41040  DATA 0,14,7,0,7,14,10,11
41050  DATA 30,479,200,600,20,400, 0 :  'MCGA
41060  DATA 0,7,7,0,0,7,7,0
41070  DATA 25,199,200,600,10,175, 0 :  'CGA
41080  DATA 0,7,7,0,0,7,7,0
41090  DATA 25,349,200,600,20,300, 0 :  'EGA-MONO
41100  DATA 0,7,7,0,0,7,7,0
41110  DATA 25,347,225,675,20,300, 0 :  'HERCULES
41120  DATA 0,7,7,0,0,7,7,0
41130 DATA Coastlines,Countries, , States,Islands,Lakes,Rivers
41140 DATA Black,Blue,Green,Cyan,Red,Violet,Brown,White,Grey,HI Blue,HI Green,HI Cyan,HI Red,HI Violet,Yellow,HI White
42000 DRAW.LINE:
42010 CALL MYLINE(NCOLOR, X(), Y(), I, XDAT(), YDAT())
42020 CALL MY.COLOR( 14,0): LOCATE 1, 1:
42030 PRINT "RECORD "; IREC;
42040 RETURN
43000 CLEAR.TEXT: FOR J = 5 TO MAX.LINE - 1: LOCATE J, 1: PRINT SPACE$(24); : NEXT J: LOCATE 5, 1: RETURN
44000 DELAY:
44010 FOR KK = 1 TO 10000: NEXT KK: RETURN
45000 PAINT.OCEANS: 'PAINT OCEANS
45010 IF NOT PAINT.FLAG% THEN RETURN
45020 NCOLOR = COLOR.ARRAY%(1)
45030 PAINT (FNXFORM(6), 0), 1, COLOR.ARRAY%(1)        'PAINT OCEANS BLUE
45040 PAINT (FNXFORM(45), -5), 1, COLOR.ARRAY%(1)      'PAINT OCEANS BLUE
45050 PAINT (FNXFORM(60), 0), 1, COLOR.ARRAY%(1)       'PAINT OCEANS BLUE
45060 PAINT (FNXFORM(75), 0), 1, COLOR.ARRAY%(1)       'PAINT OCEANS BLUE
45070 PAINT (FNXFORM(90), 0), 1, COLOR.ARRAY%(1)       'PAINT OCEANS BLUE
45080 PAINT (FNXFORM(105), -15), 1, COLOR.ARRAY%(1)    'PAINT OCEANS BLUE
45090 PAINT (FNXFORM(120), -15), 1, COLOR.ARRAY%(1)    'PAINT OCEANS BLUE
45100 PAINT (FNXFORM(135), 15), 1, COLOR.ARRAY%(1)     'PAINT OCEANS BLUE
45110 PAINT (FNXFORM(150), 0), 1, COLOR.ARRAY%(1)      'PAINT OCEANS BLUE
45120 PAINT (FNXFORM(180), 88), 1, COLOR.ARRAY%(1)     'PAINT OCEANS BLUE
45130 PAINT (FNXFORM(90), 88), 1, COLOR.ARRAY%(1)      'PAINT OCEANS BLUE
45140 PAINT (FNXFORM(0), 88), 1, COLOR.ARRAY%(1)       'PAINT OCEANS BLUE
45150 PAINT (FNXFORM(-90), 88), 1, COLOR.ARRAY%(1)     'PAINT OCEANS BLUE
45160 PAINT (FNXFORM(-180), 88), 1, COLOR.ARRAY%(1)    'PAINT OCEANS BLUE
45170 PAINT (FNXFORM(165), 0), 1, COLOR.ARRAY%(1)      'PAINT OCEANS BLUE
45180 PAINT (FNXFORM(180), 0), 1, COLOR.ARRAY%(1)      'PAINT OCEANS BLUE
45190 PAINT (FNXFORM(-165), 0), 1, COLOR.ARRAY%(1)     'PAINT OCEANS BLUE
45200 PAINT (FNXFORM(-150), 0), 1, COLOR.ARRAY%(1)     'PAINT OCEANS BLUE
45210 PAINT (FNXFORM(-135), 0), 1, COLOR.ARRAY%(1)     'PAINT OCEANS BLUE
45220 PAINT (FNXFORM(-120), 0), 1, COLOR.ARRAY%(1)     'PAINT OCEANS BLUE
45230 PAINT (FNXFORM(-105), 0), 1, COLOR.ARRAY%(1)     'PAINT OCEANS BLUE
45240 PAINT (FNXFORM(-90), 0), 1, COLOR.ARRAY%(1)      'PAINT OCEANS BLUE
45250 PAINT (FNXFORM(-45), 5), 1, COLOR.ARRAY%(1)      'PAINT OCEANS BLUE
45260 PAINT (FNXFORM(-30), 0), 1, COLOR.ARRAY%(1)      'PAINT OCEANS BLUE
45270 PAINT (FNXFORM(-15), 0), 1, COLOR.ARRAY%(1)      'PAINT OCEANS BLUE
45280 PAINT (FNXFORM(58), -5), 1, COLOR.ARRAY%(1)      'PAINT OCEANS BLUE
45290 PAINT (FNXFORM(-124), 34), 1, COLOR.ARRAY%(1)    'PAINT OCEANS BLUE
45300 PAINT (FNXFORM(-70), 32), 1, COLOR.ARRAY%(1)     'PAINT OCEANS BLUE
45310 PAINT (FNXFORM(5), 40), 1, COLOR.ARRAY%(1)       'PAINT MED SEA BLUE
45320 'PAINT (FNXFORM(-95), 45), 2, COLOR.ARRAY%(1)     'PAINT USA YELLOW
45330 'PAINT (FNXFORM(-120), 42), 2, COLOR.ARRAY%(1)    'PAINT USA YELLOW
45340 'PAINT (FNXFORM(-76), 42), 2, COLOR.ARRAY%(1)     'PAINT USA YELLOW
45350 'PAINT (FNXFORM(-150), 65), 2, COLOR.ARRAY%(1)    'PAINT ALASKA YELLOW
45360 PAINT (FNXFORM(51), 40), 1, COLOR.ARRAY%(1)    'CASPIAN SEA
45370 PAINT (FNXFORM(31), 43), 1, COLOR.ARRAY%(1)    'BLACK SEA
45380 PAINT (FNXFORM(50), 28), 1, COLOR.ARRAY%(1)    'PERSIAN GULF
45390 PAINT (FNXFORM(59), 24), 1, COLOR.ARRAY%(1)    'PERSIAN GULF
45400 PAINT (FNXFORM(37), 23), 1, COLOR.ARRAY%(1)    'RED SEA
45410 PAINT (FNXFORM(40), 18), 1, COLOR.ARRAY%(1)    'RED SEA
45420 PAINT (FNXFORM(138), 40), 1, COLOR.ARRAY%(1)   'SEA OF JAPAN
45430 PAINT (FNXFORM(133), 36), 1, COLOR.ARRAY%(1)   'SEA OF JAPAN
45440 PAINT (FNXFORM(-4), 54), 1, COLOR.ARRAY%(1)    'IRISH SEA
45450 PAINT (FNXFORM(-90), 60), 1, COLOR.ARRAY%(1)   'HUDSONS BAY
45460 PAINT (FNXFORM(20), 58), 1, COLOR.ARRAY%(1)    'BALTIC SEA
45470 PAINT (FNXFORM(20), 62.5), 1, COLOR.ARRAY%(1)  'BALTIC SEA
45480 PAINT (FNXFORM(7), 55), 1, COLOR.ARRAY%(1)     'NORTH SEA
45490 PAINT (FNXFORM(-90), 23), 1, COLOR.ARRAY%(1)   'GULF OF MEXICO
45500 RETURN
45510 DRAW.LAT.LON: 'DRAW LAT/LON LINES
45520 FOR XLAT = -90 TO 90 STEP 30
45530 LINE (-180, XLAT)-(180, XLAT), 6: NEXT
45540 FOR XLON = -180 TO 180 STEP 60
45550 LINE (XLON, -90)-(XLON, 90), 6: NEXT
45560 RETURN
46000 DRAW.TERMINATOR: 'CALCULATE TERMINATOR
46010 M0 = VAL(D$) - 1: D0 = VAL(MID$(D$, 4)): T0 = VAL(T$) + VAL(MID$(T$, 4)) / 60
46020 D0$ = FNDIG$(D0): H0$ = FNDIG$(INT(T0)): M0$ = FNDIG$(60 * (T0 - INT(T0)))
46030 YR.ANG = .0172 * (10 + 30.4 * M0 + D0): TILT = -.409 * COS(YR.ANG)
46040 T.NOON = 12 + .13 * SIN(YR.ANG) + .156 * SIN(2 * YR.ANG)
46050 IF M0 + 1 >= 4 AND M0 + 1 <= 10 THEN T.NOON = T.NOON + 1'DAYLIGHT SAVINGS TIME
46060 DT = -2 * PI * (T0 - T.NOON) / 24 + HOME.LON / CNV
46070 CP = COS(TILT): SP = SIN(TILT): CD = COS(DT): SD = SIN(DT)
46080 LL = 0: FOR L = 1 TO 363: XL = L: CL = COS(XL / CNV): SL = SIN(XL / CNV)
46090 X1 = -(SP * CD * CL + SD * SL)
46100 Y1 = -(SP * SD * CL - CD * SL)
46110 Z1 = CP * CL
46120 LL = LL + 1: XS(LL) = CNV * FNASIN(Z1): YS0 = CNV * FNATN2(X1, Y1): YS(LL) = YS0 - HOME.LON
46130 YSS = 360 * SGN(YS(LL)): IF ABS(YS(LL)) > 180 THEN YS(LL) = YS(LL) - YSS
46140 IF LL > 1 AND ABS(YS(LL) - YS(LL - 1)) > 60 THEN GOSUB 46270
46150 NEXT L
46160 CALL MYLINE(COLOR.ARRAY%(1), YS(), XS(), LL, XDAT(), YDAT())
46170 X1 = CP * CD: Y1 = CP * SD: Z1 = -SP
46180 X2 = CNV * FNASIN(Z1): Y2 = CNV * FNATN2(X1, Y1) - HOME.LON
46190 IF ABS(Y2) > 180 THEN Y2 = Y2 - 360 * SGN(Y2)
46200 IF ABS(Y2) > 178 THEN Y2 = 178 * SGN(Y2)
46210 LINE (-179.5, -89.5)-(179.5, 89.5), COLOR.ARRAY%(1), B
46220 IF PAINT.FLAG% THEN PAINT  (Y2, X2), SUN$, COLOR.ARRAY%(1)
46230 CALL MY.COLOR( 14,0): LOCATE 3, 1: PRINT SPACE$(79); : LOCATE 3, 26:
46240 PRINT USING "\\ \  \ \\:\\ Local .. Sunspot Number = ####"; D0$; MONTH$(M0); H0$; M0$; SSN;
46250 CALL MY.COLOR( 14,0)
46260 RETURN
46270 YS = YS(LL): YSS = 185 * SGN(YS(LL - 1)): YS(LL) = YSS: CALL MYLINE(COLOR.ARRAY%(1), YS(), XS(), LL, XDAT(), YDAT())
46280 YS(1) = 185 * SGN(YS): YS(2) = YS:
46290 XS(1) = XS(LL): XS(2) = XS(LL): LL = 2: RETURN
48000 CHECK.FILE:
48010 ON ERROR GOTO 49000
48020 OPEN "I",9,FILE.NAME$
48030 CLOSE 9
48040 ON ERROR GOTO 0
48050 RETURN
49000 CLS
49010 PRINT:PRINT USING "File & not Found on Current Drive";FILE.NAME$
49020 PRINT "Insert Disk with This File in Current Drive"
49030 PRINT "      Press any Key to Continue"
49040 AJ$=INPUT$(1):CLS
49050 RESUME 0
50000 '    VIDEO GRAPHICS FOR QUICK BASIC
50010 '    EMULATION OF CALCOMP ROUTINES
50020 '
52000 SUB SCALE (XBEGIN, XEND, YBEGIN, YEND, XDAT(1), YDAT(1)) STATIC
52010 '    SCALING ROUTINE TO SCALE PLOTS TO THE UNITS OF
52020 '    THE DATA TO BE PLOTTED
52030      WINDOW (XBEGIN, YBEGIN)-(XEND, YEND)
52040      XDAT(1) = XEND - XBEGIN: YDAT(1) = YEND - YBEGIN
52050      XDAT(2) = XBEGIN: YDAT(2) = YBEGIN
52060      XDAT(3) = XEND: YDAT(3) = YEND
52070 END SUB
52080 '
53000 SUB AXES (NCOLOR, NX.BEGIN, NX.END, NY.BEGIN, NY.END, XDAT(1), YDAT(1), XTIC, YTIC) STATIC
53010 '    DRAW BOX WITH AXES AND TIC MARKS
53020 '    NX..,NY.. ARE DOT VALUES WHICH DEFINE THE BEGINNING & END
53030 '    OF EACH AXIS IN VIDEO DOT UNITS 0<=DX<=639, 0<=DY<=MAX.VERT
53040 '    Y VALUES ARE DEFINED WITH 0 AT BOTTOM OF SCREEN.
53050 '    XTIC,YTIC ARE THE TIC SPACINGS IN UNITS OF THE DATA TO BE
53060 '    PLOTTED VIA SCALE AND MYLINE. XDAT AND YDAT ARE SCALING DATA IN
53070 '    SAME UNITS FROM SCALE ROUTINE.
53080 '    NCOLOR IS THE FOREGROUND COLOR
53090      DEFINT I-N: CALL MY.COLOR( NCOLOR,0)
53100      IF NX.BEGIN < 0 THEN NX.BEGIN = 0
53110      IF NX.END < 0 THEN NX.END = 0
53120      IF NY.BEGIN < 0 THEN NY.BEGIN = 0 ELSE IF NY.BEGIN > MAX.VERT THEN NY.BEGIN = MAX.VERT
53130      IF NY.END < 0 THEN NY.END = 0 ELSE IF NY.END > MAX.VERT THEN NY.END = MAX.VERT
53140      VIEW (NX.BEGIN, MAX.VERT - NY.BEGIN)-(NX.END, MAX.VERT - NY.END), , NCOLOR
53150      DY.TIC = .01 * ABS(XDAT(1)): DX.TIC = .01 * ABS(YDAT(1))
53160      FOR X = XDAT(2) TO XDAT(3) STEP XTIC
53170           LINE (X, YDAT(2))-STEP(0, DX.TIC)
53180           LINE (X, YDAT(3))-STEP(0, -DX.TIC)
53190      NEXT X
53200      FOR Y = YDAT(2) TO YDAT(3) STEP YTIC
53210           LINE (XDAT(2), Y)-STEP(DY.TIC, 0)
53220           LINE (XDAT(3), Y)-STEP(-DY.TIC, 0)
53230      NEXT Y
53240 END SUB
53250 '
54000 SUB MYLINE (NCOLOR, X(1), Y(1), NPTS, XDAT(1), YDAT(1)) STATIC
54010      DEFINT I-N
54020      IF SCR.MODE% =2 OR SCR.MODE%=3 OR SCR.MODE%=10 THEN
54030         IF NCOLOR= 2 THEN NCOLOR=0
54040      END IF
54050      FOR I = 2 TO NPTS
54060           IF ABS(X(I) - X(I - 1)) > .3 * XDAT(1) OR ABS(Y(I) - Y(I - 1)) > .3 * YDAT(1) THEN 54080
54070           LINE (X(I - 1), Y(I - 1))-(X(I), Y(I)), NCOLOR
54080      NEXT I
54090 END SUB
55000 SUB UPPER.CASE (A$) STATIC
55010      L = LEN(A$): IF L = 0 THEN EXIT SUB
55020      FOR I = 1 TO L
55030          K = ASC(MID$(A$, I, 1))
55040          IF K >= 97 AND K <= 122 THEN MID$(A$, I, 1) = CHR$(K - 32)
55050      NEXT I
55060 END SUB
56000 SUB MY.COLOR(N,M) STATIC
56010     IF SCR.MODE%>=12  THEN
56020        COLOR N
56030     ELSEIF SCR.MODE%> 7 AND SCR.MODE% <10 THEN
56040        COLOR N,M
56050     ELSEIF SCR.MODE%=0 THEN
56060        COLOR N,M
56070     END IF
56080 END SUB
