
        
        
        
        
        
        
        
        
        
        
        
        
        
                             Santa Clara Valley Section
                                          
                             American Radio Relay League
                                          
                           Amateur Radio Emergency Service
                                          
                                          
                                          
                                          
                             EMERGENCY RESPONDER MANUAL
                                          
                                      Rev 1.01
        
        
        
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 1.1
        Emergency Responder Manual                     Page 1 1

        
        PART ONE  -  How to be an Emergency Responder
        
          Introduction                                                2.1
          What is ARES?                                               3.1
          ARES Organization                                           4.1
          Duties of the Section Emergency Coordinator (SEC)           5.1
          Duties of the District Emergency Coordinator (DEC)          6.1
          Duties of the Emergency Coordinator (EC)                    7.1
          Duties of the Site Supervisor                               7.1
          Duties of the Emergency Responder                           8.1
          Who Does ARES Help?                                         9.1
          RACES or ARES?                                             10.1
          How to contact ARES                                        11.1
          Type of ARES Nets                                          11.1
          Being Part of an ARES Net                                  13.1
          ARES Message Form                                          14.1
          How to Send a Message                                      15.1
          ARES Alerts                                                16.1
          How to Respond                                             17.1
          How are You Dispatched                                     17.1
          Equipment Lists                                            20.1
        
        PART TWO  - ARES Operations/Types of Assignment
        
          Special Events Communications-Are They Legal?              22.1
          Shadow Duty                                                23.1
          Public Service Events                                      24.1
          Red Cross Operations                                       25.1
          Operations at the Emergency Operations Center (EOC)        27.1
          Multi-Casualty Incident Plan (MCIP)                        27.1
          Fire Support Operations                                    31.1
          Helicopter Oprations                                       35.1
          Safety as an ARES Responder                                35.1
          Stress Management                                          37.1
          Conclusion                                                 45.1
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 2.1
        Emergency Responder Manual                     Page 2 1

        
        Part I How to be an Emergency Responder
        Part I How to be an Emergency Responder
        
        Introduction:
        Introduction:
        
        Congratulations!     You  just  survived  the  latest  8.0 earthquake
        and decided it was time to dust off this manual and find out a little
        about ARES.   Or  heaven forbid,  you actually  decided to  read this
        manual before  you need  it.    In  either  case  the  SCV  Emergency
        Responder's Manual should supply you with the information you need to
        succeed as an ARES Emergency Responder.
        
        The Emergency Responder's Manual is divided into two major  sections.
        The   first   half  of  the  manual  introduces  what  ARES  is,  how
        the organization  is structured,  and how the organization functions,
        i.e. how  we do  our thing.   In this vein the topics covered include
        items such   as  how   to   handle   traffic,   what   equipment  you
        should   set   aside   for emergencies, etc.  After you complete  the
        first half of the manual  you should have  the basic  information you
        need to  participate in an ARES function.
        
        The second  half of  the manual  is intended as a quick reference for
        each of  the possible  assignments you  might encounter while working
        with ARES.  This section  is organized  by activity  to allow  you to
        quickly locate  information  concerning    a  specific    assignment.
        Information covered  in each of these descriptions includes  the type
        of traffic  you   can expect  to see,   special  equipment    needed,
        special  training requirements,  and safety considerations.
        
        Well, thats it.....Good Luck!
        
        
                                              73's de Steve Wilson, KA6S
                                                      Section Manager,
                                                      SCV Section
        
        
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 3.1
        Emergency Responder Manual                     Page 3 1

        
        What is ARES?
        What is ARES?
        
        Amateur   Radio    has   a     long   and    honored   tradition   of
        providing communications  for both   special events and  during times
        of   emergency. This  is   in keeping  with a  portion of  the stated
        purpose for  amateur radio  found in  Part 97  of the FCC rules which
        states:
        
             97.1(a) Recognition  and  enhancement  of  the value of the
                     amateur  service  to  the  public  as  a  voluntary
                     noncommercial communications service,  particularly
                     with respect to providing emergency service.
        
        The Amateur   Radio  Emergency  Service (ARES)  is that  part of  the
        ARRL field  organization responsible  for   providing a  trained  and
        disciplined pool of operators  who are ready  to render aid  in times
        of   emergency. ARES operations might involve anything from supplying
        communications for  a bike-a-thon   too  providing  the only  working
        communications   during a natural disaster.   This  wide spectrum  of
        activity   is in  keeping with  both the  requirements of Part 97 and
        amateur radio's tradition of public service.
        
        ARES activities  also have  the added benefit of providing a positive
        view of  our hobby  to   the public.   The   public  may see amateurs
        assisting as  volunteers during  special   events, or as  willing and
        capable   assets to  our communities during times of disaster.  These
        images translate  into a  solid positive  impression of   our  hobby.
        ARES  is probably one of  the best "Public Relations" tools we have!
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 4.1
        Emergency Responder Manual                     Page 4 1

        
        ARES Organization:
        ARES Organization:
        
        ARES   is   a  part  of  the  ARRL  field  organization. Within  that
        organization there  is an  "officer   corp" of  people who contribute
        their time  and talents  to   making the  various ARRL    programs  a
        success.    ARES  has an  inverted tree   management structure at the
        root of  which is   the  Section Emergency   Coordinator (SEC). Below
        the SEC   are  the District  Emergency Coordinators  (DEC) who    are
        typically appointed at  the county level by the SEC.  Below  each DEC
        is a group of  Emergency Coordinators (EC) who are responsible at the
        city level.   Each  EC  may  appoint  several  Assistant    Emergency
        Coordinators    (AEC)s  to  fulfill   various  job functions within a
        city ARES organization.
        
        
        
                                         -------------
                                        |   Section   |
                                        |  Emergency  |
                                        | Coordinator |
                                         -------------
                                               |
                                         -------------
                                        |  District   |
                                        |  Emergency  |
                                        | Coordinator |
                                         -------------
                                               |
                     --------------     -------------     --------------
                    |     City     |   |    City     |   |    City      |
                    |   Emergency  |---|  Emergency  |---|  Emergency   |
                    |  Coordinator |   | Coordinator |   | Coordinator  |
                     --------------     -------------     --------------
                           |                  |                 |
                           |             ------------           |
                            ------------|   Shift    |----------
                                        | Supervisor |
                                         ------------
                                              |
                     --------------     -------------     -------------
                    |     City     |   |    City     |   |    City     |
                    |  ARES Team   |   |  ARES Team  |   |  ARES TEAM  |
                     --------------     -------------     --------------
        
        
        
        
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 5.1
        Emergency Responder Manual                     Page 5 1

        
        Duties of the Section Emergency Coordinator (SEC):
        Duties of the Section Emergency Coordinator (SEC):
        
        The   SEC   serves   as    the   Assistant   Section   Manager    for
        emergency prepardness.   Thus the  SEC is  concerned with  all issues
        relating to  emergency communications  and the ARES on a Section-wide
        level.
        
        Some of the management functions performed by the SEC include:
        
        a)   Making/canceling all ARES appointments within the Section.
        
        b)   Coordinate  ARES  operations    with  other  Section  Leadership
             Officials, particularly  the    Public  Information  Coordinator
             (PIC) and  the Section Traffic Manager (STM).
        
        c)   Collect and consolidate EC/DEC monthly reports for submission to
             ARRL HQ in a timely manner.
        
        d)    Act as final arbiter within  the Section on matters relating to
             ARES policy.
        
        An SEC  also performs  tasks that   relate  to promotion  of the ARES
        within the Section such as:
        
        a)   Promote  ARES  membership  drives,  meetings, activities, tests,
             and procedures (such as this manual).
        
        b)   Encourage groups  of   community amateurs  to establish    local
             emergency organizations.
        
        The operations  role of  the SEC involves acting at the Section level
        to:
        
        a)   Maintain   contact   with   other   communications services  and
             serve as  liaison to  agencies which  have a  jurisdiction above
             the county  level such  as  the  California  State    Office  of
             Emergency Services,  the   Federal Emergency  Management  Agency
             (FEMA), and the National Weather Service.
        
        b)   Coordinate mutual  aid response  both  inside  and  outside  the
             Section.
        
        c)   Coordinate   the   communications   structure   established   to
             support emergencies that have a Section-wide  scope.  This might
             involve     making  decisions     about     frequency     usage,
             coordinating  with  repeater groups during an incident, etc.
        
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 6.1
        Emergency Responder Manual                     Page 6 1

        
        Duties of the District Emergency Coordinator (DEC):
        Duties of the District Emergency Coordinator (DEC) 
        
        Since   ARES  tries  to  match  itself  to  the  agencies  we  serve,
        our appointment structure  below the  SEC matches  the political  lay
        of the  land.   The DEC is charged with coordinating ARES programs at
        the county level.  As a manager this involves:
        
        a)   Acting as  liaison to   county  government  through  the  county
             Office of  Emergency  Services  (OES)  and  other  county  level
             groups such as the Emergency Manager's Association.
        
        b)   Coordinate  the  training,  organization  and  participation  of
             Emergency Coordinators  in the county. This includes  organizing
             the county Simulated Emergency Test (SET) every year.
        
        c)   Coordinate the  interrelationship  between local emergency plans
             such as frequency coordination.
        
        d)   Recommend EC appointments to the SEC.
        
        e)   Coordinate the   reporting  and documenting   of ARES activities
             in the county.
        
        A DEC   also  has  a complex  and varied  role to  play in any actual
        ARES operation.  This involves items such as:
        
        a)   Making local  decisions concerning  the allotment  of  available
             amateurs and equipment during an emergency.
        
        b)   Provide  direction  in  the routing  and  handling of  emergency
             communications of either a formal or tactical nature.
        
        c)   Coordinate with  served agencies  to determine  their respective
             needs.
        
        d)   General problem solver!
        
        All of   these  are   activities which   must  essentially  remain in
        effect around  the clock  during extended  ARES  operations.  No  one
        person can   be available  24  hours  a  day  thus  the  DEC  or  SEC
        may appoint  "Shift Supervisors"  to  act  in  the  DEC's  place when
        the DEC  isn't directly  available.   The Shift Supervisor may be any
        trained individual  that   the DEC  feels is  qualified to handle the
        function.   This person  carries   the same  load as  the DEC  during
        their respective shift and should be  given all possible cooperation.
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 7.1
        Emergency Responder Manual                     Page 7 1

        
        Duties of the Emergency Coordinator (EC):
        Duties of the Emergency Coordinator (EC):
        
        Within ARES  the Emergency Coordiantor (EC) is the front line manager
        of an   ARES  team.    Nominally  each  city  within  a  county has a
        single individual  assigned  to  act  as  EC  for  that  city.   This
        person is responsible for:
        
        a)   Manage   and   coordinate   the    training,  organization,  and
             emergency participation  of  interested  amateurs  within  their
             cities.
        
        b)   Establish  an emergency  communications plan  for the  community
             that will effectively support the city agencies.
        
        c)   Establish a  viable working  relationship with  the city govern-
             ment and all private agencies operating within the city.
        
        d)   Establish local   communications  networks run    on  a  regular
             basis  and   periodically  test  those  networks  by  conducting
             realistic drills such  as the Simulated Emergency Test (SET).
        
        e)   In times  of disaster evaluate  the communications needs  of the
             city and  respond quickly  to  these needs.  The  EC will assume
             authority   and  responsibility  for  emergency  response    and
             performance within the  city.
        
        ECs bear  the brunt  of the  management load in times of disaster and
        are consequently   given  a wide   area  of authority within the ARES
        organization.   They also, however, rely on the experience and advice
        of the entire Section Staff to help them perform their duties.
        
        Site Supervisor's Duties:
        Site Supervisor's Duties:
        
        Any time more than one ARES operator is placed at a specific location
        a Site Supervisor should  be appointed for  that shift. Nominally the
        EC  will   designate  one   operator  at   each  location.  The  Site
        Supervisor's will  act as  a liaison between  the ARES operators  and
        the group  being served by the ARES team. The Site Supervisor should:
        
        a)   Determine   if   any   adjustments   should   be   made  in  the
             staffing requirements for their location.
        
        b)   Ensure   that a  new shift  arriving is  fully briefed  on their
             assignments before the previous shift is relieved.
        
        c)   Handle local questions about traffic routing.
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 8.1
        Emergency Responder Manual                     Page 8 1

        
        Emergency Responder's Duties:
        Emergency Responder's Duties:
        
        The individual  ARES team  member provides  emergency  communications
        under adverse  conditions.    To   prepare  for  this assignment  the
        ARES   member should  attempt to  avail themselves  of  all  training
        oportunities,   gather and prepare their equipment for extended field
        use, and practice traffic handling and net operations.
        
        There is  an implied  commitment that an ARES team member will try to
        make himself  and his equipment available during disaster situations.
        This is not  to  say  that  this  obligation  should come before work
        or family. Simply put, you cannot help others until your own house is
        in order.
        
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 9.1
        Emergency Responder Manual                     Page 9 1

        
        Who does ARES help?
        Who does ARES help?
        
        ARES   serves  many  masters,  and  each  of  these  served  agencies
        has different   needs   and   expections  from  ARES.  Due  to  these
        varied requirements  ARES has developed a diverse set of capabilities
        to support our different missions.
        
        When   working   with  local  governments  ARES  teams nominally work
        with Police  and   Fire officials.     Our   missions might   include
        supplementing city communications capability by setting  up a station
        at an  Emergency Operations  Center (EOC), dispatching  shadows  with
        city   VIPs,    or  providing  communications  between  the  EOC  and
        various field  locations such as  shelters.   As an  example of  some
        of   the resources that have already been put in place in  support of
        these missions  most city   EOCs  already have  amateur  antennas  in
        place, along with antennas at several pre-identified schools intended
        for use as shelters.
        
        At the  county level  ARES  interracts  with  the  county  Office  of
        Emergency Services.     ARES might  be asked  to provide  EOC to  EOC
        communications links,   communications   between   the   county  seat
        and  city  EOCs,  or communications to state government entities.
        
        Several agencies  of  the  state  government  use  amateur  radio  to
        supplement their  capabilities.   Perhaps the  best known of these is
        the Volunteers  in Prevention  (VIP)    program  sponsored  by    the
        California Department   of  Forestry and Fire Pretection (CDF).  VIPs
        have received  special training  in fire  line    safety,  and  other
        aspects of  fire   prevention/suppression activities. CDF  uses  VIPs
        during   large   wildland   fires to supply additional communications
        channels between   the  incident and  the   ranger unit headquarters,
        shadows    for  CDF    officers,  or    in  helping  solve  difficult
        communications problems induced by the surrounding terrain.
        
        There is  also a  "Memoradum  Of  Understanding"  (MOU)  between  the
        American National   Red   Cross  and  the  ARRL  that  establishes  a
        cooperative environment  between the  two  organizations.  Under  the
        authority of  this agreement,  ARES  provides  needed  communications
        on   the   Red Cross's  behalf. This   might   entail   shadow  duty,
        shelter communications, or providing other technical assistance.
        
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 10.1
        Emergency Responder Manual                     Page 10 1

        
        RACES or ARES?
        RACES or ARES?
        
        RACES, the  Radio Amateur Civil Emergency Service, is administered by
        the Federal  Emergency Management  Agency (FEMA),  and is part of the
        Amateur Radio   Service   that   provides  communications  for  civil
        preparedness purposes   only,   during  periods  of  local,  regional
        or national  civil emergencies.      These   emergencies     are  not
        limited   to     war-related  activities,  but  can  include  natural
        disasters such as fires, floods  and earthquakes.
        
        As  defined  in  the  rules,  RACES is a radiocommunications service,
        conducted  by   volunteer  licensed  amateurs,  designed  to  provide
        ermergency communications  to   local or    state  civil-preparedness
        agencies. It is important to note that RACES operation  is authorized
        by the  FCC at  the request of a  state or federal  offical, and this
        operation is  strictly limited   to    official    civil-preparedness
        activity  in  the event of an  emergency communications situation.
        
        Amateurs   operating   in   a   local   RACES  organization  must  be
        officially enrolled in  that local  civil-preparedness group.   RACES
        operation is  conducted by  amateurs using  their own primary station
        license.   The  FCC no longer  issues new  RACES (WC  prefix) station
        call signs.   Operator  privileges in  RACES are  dependent upon, and
        identical to,  those for   the  class   of   license   held   in  the
        Amateur   Radio   Service.    All of the authorized  frequencies  and
        emissions  allocated  to the Amateur Radio Service are also available
        to RACES  on a  shared basis.   But  in the  event that the President
        invokes   his War  Emergency Powers,   amateurs  involved with  RACES
        would  be limited to  certain specific frequencies  while all
        other amateur operations would be silenced.
        
        While RACES  was  originally based on  potential use for  wartime, it
        has evolved over  the years  to encompass  all types  of emergencies.
        When operating  in a  RACES capability,  RACES stations  and amateurs
        registered in the local  RACES organization may  not communicate with
        amateurs NOT operating in a RACES  capacity. Only civil  preparedness
        communications can be transmitted.
        
        Although RACES  and ARES  are   separate entities, the ARRL advocates
        dual membership   and   cooperative   efforts  between  both   groups
        whenever possible.   The  RACES regulations  now make  it simple  and
        possible for   an  ARES group   whose  members  are all  enrolled and
        certified by   RACES  to operate   in   an   emergency   with   great
        flexibility.      Using  the same operators and the  same frequencies
        an  ARES group can  "switch hats" as required with no interruption of
        service.   This attitude  is the  official policy of the SCV Section,
        and in  most counties  within the  section   ARES and  RACES are  now
        indistinguishable.
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 11.1
        Emergency Responder Manual                     Page 11 1

        As a  practical matter, enrolling as  a RACES member within the State
        of California  requires registering  with the  county government  and
        signing a  loyalty oath.   This entitles the  registrant to Workman's
        Compensation benefits for any accidents  occuring  during  officially
        designated activities.
        
        
        How to Contact ARES:
        How to Contact ARES:
        
        As described  previously, each city  has an Emergency Coordinator who
        is responsible  for  the ARES  team in  his respective  city.  An up-
        to-date list of EC's is available in the SCV Shift Supervisor Manual.
        The   list contains  the  phone  number  for  each  of  the ECs in in
        the Section.  Emergency Coordinators  also  check  into  the  Section
        Manager's Net  held on  Tuesday nites at  9:00pm every week.   Common
        frequencies  are WB6ADZ/R, 146.115+, and W5RBK/R, 440.100+.
        
        Types Of Emergency Nets
        Types Of Emergency Nets
        
        There are   three  types  of nets  which might  be set  up during  an
        ARES event.   These  are the  TACTICAL NET,  RESOURCE  NET,  and  the
        COMMAND   NET. Which  net, or   whether  all three  evolve during  an
        event is strictly  a function of the size of the event.
        
        Tactical Net:
        
        The "Tactical  Net"   is the  "front   line" net during  an incident.
        This type  of net  is typically  used   by a  single city  to  manage
        amateur radio operations within that city's boundaries.  There may be
        several tactical nets for a single operation depending  on the volume
        of traffic.   Types of traffic which might exist on this net could be
        anything from   traffic  handling to co-ordination of ARES efforts to
        recruiting.  When an  event grows beyond the  boundaries of a  single
        city/agency to   the  point where mutual aid is necessary, it becomes
        necessary to create the next type of net, the "Resource Net."
        
        Resource Net:
        
        A "Resource  Net"  is  primarily  used  to  recruit  resources  (both
        operators and  equipment) in  support of  mutual aid operations.  The
        "Resource  Net" evolves  as  a  natural  outgrowth  of  the  size  of
        the incident.   The  "Resource   Net"  is  also  used  as  a check-in
        point before  an assigned  responder leaves  for  his/her assignment.
        As the  size   of an  operation increases and more ARES jurisdictions
        become  involved   in  the  incident,  a  "Command  Net"  may  become
        necessary.
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 12.1
        Emergency Responder Manual                     Page 12 1

        Command Net
        
        The "Command  Net"   allows the ARES  leadership to communicate  with
        each other  to   resolve amateur  radio operations-related  problems.
        This is  also the  net which would be used to allow cities to talk to
        each   other. It   is   conceivable   that   this  net   could become
        cluttered with  a high  volume of  traffic; it  may be  necessary  to
        create  further    tactical  nets  to  allow  this  traffic  to  flow
        efficiently.   As an  added note,  when other agencies  such  as  Red
        Cross   establish   their   own nets  they are  considered   tactical
        nets.   Each   such  tactical resource should have someone monitoring
        the main  Command Net  so that  they can  respond to Agency to Agency
        requests.
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 13.1
        Emergency Responder Manual                     Page 13 1

        
        
        Being Part of an ARES Net:
        Being Part of an ARES Net:
        
        Taking   part  in  an  ARES  net  and  learning how to handle traffic
        are perhaps the two major  required of an  ARES team member.  Being a
        successful participant  of  an  ARES  net  requires  exercising  some
        discipline, and observing a few basic rules of the road:
        
        1)   Report  to the  Net Control  Station (NCS)  promptly as  soon as
             you arrive at your station.
        
        2)   Ask the NCS for permission before you use the frequency.
        
        3)   Only use the frequency for traffic, not for chit-chat.
        
        4)   Answer promptly when called by the NCS.
        
        5)   Use tactical call signs whenever possible.
        
        6)   Follow the net protocol established by the NCS.
        
        Getting on  and off  the  net  is  important,  but  traffic  handling
        techniques are  important, also.   The  first  step in the process is
        getting  all the information needed for the message:
        
        1)   Get the  exact title/address  of  the addressee from the sender.
             This is  EXTREMELY important  to guarantee  the accurate  prompt
             delivery of  the message.
        
        2)   Make the   message  as short   and  consise as    possible  when
             originating your  own   message traffic.  If handed  a   message
             originated by  someone else,  do not modify it. Send the message
             exactly as  it is  written. It  is not  as important   that  you
             understand the   message  content, as  it is  that the addressee
             receive an unaltered message.
        
        3)   Get an   exact  title of   the  sender.    If  a  response    is
             required, the  exact name  and title  of the  sender will become
             very important.
        
        4)   Number, log  and time  stamp the messages as you send them. This
             will allow you to reference the messages more easily later.
        
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 14.1
        Emergency Responder Manual                     Page 14 1

        
        Message Form:
        Message Form:
        
        Below is  a suggested   message  form that may  be used on a tactical
        net. This  should serve  you under  most circumstances.  If an agency
        has created a different message form, then use that form instead.
        
        
            +--------------------------------------------------------------+
            +--------------------------------------------------------------+
            |                    ARES Message Form                         |
            |                    ARES Message Form                         |
            |                                                              |
            |                                                              |
            |  To:    ______________________________ Date: ______________  |
            |  To:    ______________________________ Date: ______________  |
            |         ______________________________ Time: ______________  |
            |         ______________________________ Time: ______________  |
            |  Title: ______________________________ Msg #: _____________  |
            |  Title: ______________________________ Msg #: _____________  |
            |  Message: _________________________________________________  |
            |  Message: _________________________________________________  |
            |  __________________________________________________________  |
            |  __________________________________________________________  |
            |  __________________________________________________________  |
            |  __________________________________________________________  |
            |  __________________________________________________________  |
            |  __________________________________________________________  |
            |  __________________________________________________________  |
            |  __________________________________________________________  |
            |  __________________________________________________________  |
            |  __________________________________________________________  |
            |                                                              |
            |                                                              |
            |  Signed: ______________________________                      |
            |  Signed: ______________________________                      |
            |  Title:  ______________________________                      |
            |  Title:  ______________________________                      |
            |                                                              |
            |                                                              |
            +--------------------------------------------------------------+
            +--------------------------------------------------------------+
        
        
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 15.1
        Emergency Responder Manual                     Page 15 1

        
        How to Send the Message:
        How to Send the Message:
        
        Now that  all the  information   for the message has been  accquired,
        check into  the   net and    ask  the    Net  Control    Station  for
        permission to pass traffic to the destination station.  After the NCS
        tells you  to go  ahead with your traffic make a directed call to the
        destination station.  Once the destination station  acknowledges your
        call   inform the  station  you have traffic for them  and to let you
        know when they are  ready to copy the traffic.
        
        When the  destination station  acknowledges they are ready to receive
        the message,  begin transmission  of the message by SLOWLY stating to
        whom the  message is addressed,  along with any  title.  Perhaps  the
        best way   to  pace your   transmission  rate  is to  write down  the
        message  as you are sending it.
        
        After you  have sent  the addressee's name and title, pause to ensure
        that the  receiving station has a solid  copy.  The receiving station
        may   ask you  to repeat a certain word or  phrase that they were not
        able to  copy accurately.
        
        After   sending   addressee   header,   send   the   main body of the
        message. Again...go   slowly!      Use   phonetics   to   spell   out
        difficult words as needed.  Pause at the end of each sentence to give
        the receiving  station a  chance to ask you for a repeat of a word or
        phrase, called a "fill".
        
        Finally, send  the signature  and title  of the originating official.
        Once the   receiving   station   has   acknowledged   that  they have
        received the  message correctly,  pass the frequency back over to Net
        Control.
        
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 16.1
        Emergency Responder Manual                     Page 16 1

        
        Alerts:
        Alerts:
        
        ARES begins  to react  ONLY when we've been alerted.  Some situations
        are "self-alerting"  like   an earthquake,   i.e.  everyone  knows it
        happened. However,   under  normal  circumstances  an  agency needing
        our help  will contact us by calling a responsible officer of ARES by
        phone, or  calling a  reverse autopatch  to get hold  of us.  Each of
        these   alerting methods  requires ARES  to  respond  in  a  slightly
        different manner.
        
        If you  feel an earthquake the FIRST thing you should do is make sure
        your own  location is secure.  Once you're sure of your own situation
        turn your  radio   on and  LISTEN   to the  resource  net.  Call  net
        control ONLY  if   you have  damage or  injuries to  report.   During
        the  initial minutes after a quake the resource net will be trying to
        determine   what areas  are damaged,  and deal with anyone that needs
        immediate help.   Stay  off the   frequency and  listen!   Listen for
        your EC   to  come up on the resource frequency and give instructions
        for your  team.   Your EC  will give you the necessary information to
        allow you  to respond.   If  you have  the ability  to listen to more
        than one  frequency  you  might  also    monitor  your  city  simplex
        frequency.
        
        The other  major way  that you  will be  alerted to  an emergency  is
        by receiving a  phone call  from another  amateur via  your ARES team
        phone tree.  This  works  differently  in  each  of  the cities.  One
        system involves  you simply  reacting to the phone call by turning on
        your   radio to  the city  simplex channel  and waiting for the EC to
        give you  directions, another  reaction might involve you passing the
        alert message  to a  small list   of hams on your own mini phone tree
        before you finally turn on your radio.
        
        The final  system you  might encounter  is to hear the phone patch on
        your local  repeater ringing.   If  you have  the codes to answer the
        phone do  so and  write down  the information  the caller  gives you.
        After you  get   all of  the information  contact  your  EC,  or  DEC
        immediately so that they  can begin the appropriate alert procedure.
        
        
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 17.1
        Emergency Responder Manual                     Page 17 1

        
        How To Respond:
        How To Respond:
        
        Now that  you've received  an alert  the first  thing you  have to do
        is ensure your  own situation  before you  can render  aid to someone
        else. Check  that the   building  your in  isn't falling around  you,
        etc.    Next  take care  of your  own home  and family. This includes
        making   sure that  your  family is ready  to deal with  the problems
        they are  likely   to encounter.   The   best  way to  do  this is by
        prepartion before the emergency.   Talk about what your're likely  to
        be involved with and how the family is going to deal with it.
        
        Another aspect  to consider is having  food and equipment ready to go
        so that  you're self-sufficient.     Try to  have sufficient supplies
        to last for 72 hours without outside help.
        
        How are You Dispatched?
        How are You Dispatched?
        
        There   are  two  methods  of  dispatch  employed  by  ARES.    These
        are self-dispatch,  and dispatch  via assignement  from the  Resource
        net.    How you are dispatched depends on the emergency plan for your
        city.
        
        Self-Dispatching means  going to  a pre-assigned  location after  you
        become aware  of the  emergency.    Your responsibility might involve
        heading   for the local hospital, or getting to the EOC as quickly as
        possible.    Your  EC would   have established  your responsibilities
        in prior   training  if your   city  plan  employs  self-dispatching.
        Self-Dispatching has  the advantage  of  putting trained  individuals
        into   critical spots  quickly. The   tradeoff   for   this  form  of
        dispatch  is  depending  on specific individuals being available when
        the emergency is declared.
        
        Self-dispatching DOES  NOT mean  heading to  your position on a whim.
        You would   respond   under   specific   conditions,  i.e.  a  severe
        earthquake occured,  or you  were activated   by  phone tree.   These
        conditions should  be outlined in your city emergency plan.  Ask your
        EC.
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 18.1
        Emergency Responder Manual                     Page 18 1

        
        The Resource  Net   is the   other  mechanism   employed by  ARES for
        organizing man-power/hardware  availability.   Each county  employs a
        single   resource frequency where you can normally expect to find the
        net operating.     The resource net's job is to recruit  operators to
        fill job slots that  have been requested for staffing by ARES.
        
        If you are available(and trained) to fill a job that the resource net
        is trying   to   fill  then  simply  call  the  Resource NCS and give
        NCS the  information s/he asks for.   Nominally the NCS  will ask for
        your   name, call-sign, and a phone number you  can be reached at.  A
        VERY important  step in  this process  is   asking NCS  what  special
        equipment/training   you might  need for  the   job you're  going  to
        fill.   Please DO   NOT  volunteer for a job that you don't  have the
        training/ equipment for.   There will normally be plenty of positions
        that need  filling, don't  put yourself  at risk  by stepping  into a
        situation you're not prepared for.  Resource NCS will give you a time
        that you  need to  be  on station.  You should  also find out who you
        should report  too when  you arrive.  If  there are any other special
        instructions, or  if you  have questions  about how  to  get  to  the
        assignment this is the time to ask Resource.
        
        Responding to Your Assignment:
        Responding to Your Assignment:
        
        Before you  travel   to your  assignment   you should  check  in with
        Resouce NCS  and  advise  him/her  that  you  are  in-route  to  your
        assignment.   Timely notification  allows the  Resource NCS to verify
        that all assignments  are going to be filled as expected.
        
        Plan on  arriving at  your assignment   at least one half hour early.
        You want to relieve the previous shift on time because:
        
        1)   You   expect the   next shift  to relieve  you on  time thus you
             should provide the same courtesy to the person you're relieving.
        
        2)   You need  to receive a thorough briefing from the previous shift
             about the duties of the position you are taking over.
        
        You want  to arrive  at the  assignment safe  and sound  so use  care
        in driving to the assignment.  Do NOT drive like an emergency vehicle
        with the lights and siren running.
        
        If you  have some  form of   identification  for your  car  like  the
        magnetic signs  which say  "Amateur  Radio Communications" you should
        install them  before you  leave.   This may  help you  get past  road
        blocks, etc.  a little more easily as you proceed to your assignment.
        Even with  identification on  your   car you  still might  be stopped
        by law  enforcement officials. Try to  explain to  the officer  where
        you   are going   and  why.   If this  doesn't  work  then  call  the
        Resource   NCS   and   inform   them   of the  situation.   It may be
        necessary to  contact the  appropriate agency  to get  you  past  the
        road   block.     Just  remain  patient.  The message will eventually
        get through and so will you.
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 19.1
        Emergency Responder Manual                     Page 19 1

        
        
        Once you  arrive at  the assignment  you should collect your gear and
        make contact with the person  named by Resource NCS .  This might  be
        the  operator   you    are  relieving,    the  amateur    radio  Site
        Supervisor, or   a  liasion officer  for the  agency you're  helping.
        This contact   person  should be able to either  brief you on the job
        you are  going to do,  or direct you to the  person who can. Once you
        get that  briefing, you're ready to go!
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 20.1
        Emergency Responder Manual                     Page 20 1

        
        Minimum Equipment List:
        Minimum Equipment List:
        
        Anytime you   respond  for  an ARES  event, whether  training or  the
        real thing, there is a minimum set of equipment you should bring with
        you  to get the job done.  These items are:
        
        1)   Yourself!
        2)   A 2m HT.
        3)   An ARES ID card.
        4)   A 2m Magmount.
        5)   Spare batteries.
        6)   An ear-phone.
        7)   An ARES hardhat.
        8)   Appropriate clothing.
        9)   Paper and Pencil.
        
        The majority  of these  items should be kept in a "Ready Box" so that
        all you  need to   do  is pick  up the box  and you will  be ready to
        go.   You might also  consider the  items on  the following  list for
        inclusion in  this ready  box.  This list is designed to allow you to
        stay in the field for up to 72 hours.
        
        Extended List:
        Extended List:
        
        1.   Radio license
        2.   message forms, log books, etc.
        3.   Toolbox (72 hours)
             a.   pliers
             b.   screwdrivers
             c.   socket wrenches
             d.   electricians tape
             e.   soldering iron and solder
              f.  VOM
        4.   Radio gear
             a.   Rigs, i.e. other than 2m ht
             b.   Mike for the above radios
             c.   headphones
             d.   power supply
             e.   extra batteries
             f.   antennas with mounts
             g.   Patch cords
             h.   SWR bridge(VHF and HF)
             i.   extra coax
        5. Personal gear (short duration)
             a.   snacks
             b.   liquid refreshment
             c.   throat lozenges
             d.   personal medicine
             e.   aspirin
             f.   extra pair of prescription glasses
             g.   Sunglasses
        
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 21.1
        Emergency Responder Manual                     Page 21 1

        
        6.   Personal gear
             a.   foul  weather gear
             b.   3 day supply of drinking water
             c.   3 day supply of food
             d.   mess kit with cleaning kit
             f.   first aid kit
             g.   sleeping bag
             h.   toilet articles
             i.   alarm clock
             j.   flashlight with batteries
             k.   candles
             l.   3 day change of clothes
             m.   waterproof matches
        
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 22.1
        Emergency Responder Manual                     Page 22 1

        
        PART TWO
        PART TWO
        
        ARES Operations/Types of Assignment
        ARES Operations/Types of Assignment
        
        This section  of the manual describes some of the assignments you can
        expect to  run into during ARES operations.  A definition of each  of
        the different jobs is given along with any special considerations for
        handling that assignment.
        
        Special Events Communications - Are They Legal?
        Special Events Communications - Are They Legal?
        
        The first  question you  should try  to answer is whether the type of
        help that  is being  requested is appropriate use of ham radio.  With
        the   1989 rewrite  of Part  97 the  rules  are less vague about this
        issue  than they use to be:
        
             97.113 Prohibited Transmissions
        
             (a)   No amateur  station shall  transmit any communication
                  the purpose  of which is to facilitate the business or
                  commercial affairs  of any   party.  No  station shall
                  transmit   communications   as an alternative to other
                  autorized radio   services,  except  as  necessary  to
                  providing   emergency communications.  At station may,
                  however, transmit communications to:
             
             (1)  Facilitate the public's  safe observation of, or  safe
                  participation in, a parade, race, marathon or  similar
                  public gathering.    No amateur station shall transmit
                  communications concerning moving, supplying and quart-
                  ering observers  and participants  for any  sponsoring
                  organization unless the principal  beneficiary of such
                  communications is  the   public and any benefit to the
                  sponsoring organization is incidental.
        
        In   practical   terms  this  means  that  you can help  the  sponsor
        if your  communications effort   is  primarily   beneficial to    the
        public.    As   an  example assume  that you are net control of a net
        working at a  marathon. Water Station 1 calls and asks you to order 3
        pizzas  for   them.  This   ISN'T  appropriate  because  the  primary
        beneficiary is not the general public but rather the hungry people at
        Water Station 1. Rover  2 calls in and informs you that a participant
        has collasped.  This IS  appropriate use  because someone's health is
        involved.
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 23.1
        Emergency Responder Manual                     Page 23 1

        Personal safety  of both  you   and the  event participants  is    of
        paramount importance  during any  event.   Always try  to use  common
        sense, i.e.  don't put  yourself into dangerous situations.  (See the
        section on  Safety)   If a  medical emergency should arise during the
        event you should do anything necessary in the realm of communications
        to assist.  What this does mean is use your radio in any fashion that
        will help alleviate the  problem. It's OK to hand the radio over to a
        paramedic or  EMT to  let them  talk to  a  doctor.    This  is  more
        efficient than  having the  amateur operator  act as an intermediary.
        As a   final  word of  caution you  should   always call  for medical
        professionals  to   deal    with  any  medical  emergencies  you  may
        encounter.
        
        The primary  assignment of an amateur operator at any public  service
        event is  to provide   communications.   You are  trying to act as  a
        phone system   for   the   different   event   officials. Do not make
        decisions on behalf of the event  officals.  Pass all  the traffic on
        to   appropriate officials  AS WRITTEN;  do not  react to messages on
        their behalf.
        
        Shadow Duty:
        Shadow Duty:
        
        A  Shadow   is  an   amateur  radio  operator  that  is  providing  a
        communications channel  between the  person he   is  "shadowing"  and
        other stations   on  the net.   You  have two duties here.  One is to
        stick like glue to the person your shadowing without getting in their
        way.   The second duty is  to be prepared to communicate successfully
        from any place that your assignment might travel.
        
        You need  to ensure that you have the proper equipment to communicate
        on behalf  of your  shadow.    As  you take  the assignment make sure
        that you ask Resource NCS about any special equipment you might need.
        
        Quite often  a shadow  will have  to to talk from a moving vehicle as
        well as be able to  move around in the  field with the VIP.   If this
        is   the case  then  appropriate equipment  would include  a several-
        watt   HT with  alkaline batteries, as  well as a  mag-mount that can
        be placed  on   the exterior  of the   vehicle.   If  the official is
        expected to  travel   into very   remote   areas  then  a  mobile  2m
        rig   with  10-25 Watts is also appropriate.  Powering  the larger 2m
        mobile rig  can  be tricky so  you might also have to provide a 12 to
        24 Amp-hour  gell cell  if the   vehicle  doesn't  have  a  cigarette
        lighter where you might obtain power.
        
        The last  consideration and  perhaps  the most substantial is whether
        you have the appropriate training for the shadow assignment.  Enquire
        with the   Resource NCS as you take the assignment about such special
        circumstances.   You should also make the VIP you are shadowing aware
        of your level of training so that your  aren't  exposed  to dangerous
        situations.   An example  might   be shadowing the Incident Commander
        of a  wild lands  fire into  the field.   You  should only  take this
        type of assignment if you have had a formal fire line safety class.
        
        Public Service Events:
        Public Service Events:
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 24.1
        Emergency Responder Manual                     Page 24 1

        
        There are several different types of events where ARES might be asked
        to assist with  communications.   You can  expect to  work at bike-a-
        thons, foot  races such  as 10Ks   or  marathons, car  races,  public
        festivals such  as Cinco-De-Mayo,  etc.    The  sponsors   of any  of
        these event might  ask hams to help with communications.
        
        You   should   ideally only  be used  as a communicator.  It's rather
        hard to  turn down  someone who  asks for   your  assistance  though.
        Perhaps   the   best   advice here  is to go ahead and lend a hand as
        long as  it doesn't  interfere with  the job  you have  to  do  as  a
        communicator.
        
        As with  any event,  the type of equipment you are going to need is a
        function of the job you expect to do.
        
        If your going to be the NCS you'll need:
        
             1.  A 10 Watt base radio.
             2.  A portable antenna such as a 2m J with mount.
             3.  A battery with enough capacity to last your shift.
             4.  Table, chair, and writing implements.
             5.  Minimum ARES Equipment list items.
        
        You're on foot:
        
             1.  An HT with at least a 1 Watt output level.
             2.  A hot-rod style gain antenna for the HT.
             3.  Minimum ARES Equipment list items.
        
        Mobile in a car:
        
             1. An HT with at least a 3 Watt output level or a mobile rig.
             2. A mag-mount antenna mounted on the exterior of the vehicle.
             3. Minimum ARES Equipment list items.
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 25.1
        Emergency Responder Manual                     Page 25 1

        
        Red Cross Operations
        Red Cross Operations
        
        Amateurs   have   a   LONG  tradition  of  helping the Red Cross with
        their communications   needs.      In  keeping  with  this  tradition
        the   ARRL formalized the relationship between  the two organizations
        by  signing a Memorandum of Understanding with Red Cross.
        
        In providing  communications for  Red Cross  you are  most likely  to
        operate either at a shelter, or at the Red Cross chapter.  There is a
        different set  of considerations for each of these assignments.  When
        operating   at a  shelter   site be   aware of  what are  appropriate
        communications   for amateur  frequencies.   Any message dealing with
        logistical  or  Health    and  Welfare  is  appropriate  for  amateur
        channels.    Keep  in  mind  that  amateur  frequencies    are  often
        monitored  by  news  agencies.  Traffic of a sensitive nature  should
        be   handled   by   a more  secure communications  medium such as the
        telephone.   Equipment  requirements  for  shelter    duty  may  vary
        depending on   whether  the net  is   operating on  a repeater   or a
        simplex frequency.  You should be prepared to bring:
        
        
        Net on a Repeater
        
             1. ARES Minimum equipment list
             2. Hot Rod style gain antenna for the handheld
             3. Lots of blank message forms
        
        Net on Simplex
        
             1. ARES minimum equipment list
             2. Base or mobile radio with a 10 to 25 watt output
             3. Portable antenna, such as a J-pole
             4. Lots of blank message forms
        
        Meals are  usually provided  at Red  Cross shelter sites, so bringing
        your own food is usually not necessary.
        
        When reporting  for  duty at the  shelter inform the  shelter manager
        or amateur  radio site  supervisor of your level of training. This is
        to prevent  being assigned   a   task   for   which  you  may  not be
        qualified.
        
        If you  encounter  any medical situations  make sure that  you notify
        the appropriate   personnel   instead   of  trying  to  deal  with it
        yourself. Again, your primary responsibility is communications.
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 26.1
        Emergency Responder Manual                     Page 26 1

        
        Being a Red Cross Shadow
        
        Shadow duty   for  the   Red Cross   will  usually    involve  either
        providing communications  for a  Red Cross   official, or acting as a
        radio operator  for a  Red Cross  mobile unit  such as a mass feeding
        station.
        
        You will  probably need  both a  mobile AND  a  handheld  radio  when
        shadowing a  Red   Cross official.     If   you are   providing radio
        capability for   a  mobile unit  a  mobile  radio  system  should  be
        adequate.
        
        When using  a mobile  amateur radio  in a  Red Cross vehicle remember
        that a  12 volt  source may  not be   available,  and you may need to
        supply   your own  power source  such as  a gel-cell battery.  Mobile
        unit duty is  also likely to be a longer than average shift since you
        will be  operating  on vehicle's shift assignment.  It is conceivable
        to work as long as  eight to ten hours on one of these assignments.
        
        Duty at an Emergency Operating Center (EOC)
        Duty at an Emergency Operating Center (EOC)
        
        The government  operates from  an Emergency  Operations Center  (EOC)
        during an emergency staffing the EOC  with senior government officals
        to   help administrate   the  event  from  one  location.    The  EOC
        may  be in a governmental building, at a police or fire department or
        other location.  Amateur radio  resources may  also be  operated from
        this location,  and  an Emergency Coordinator  or other ARES official
        may operate from here.
        
        As an  emergency responder  you may  be asked  to be  a  Net  Control
        Station, a  messenger, or  as   a channel  monitor. The  Net  Control
        Station   may be  handling one   of  the   nets originating  from the
        EOC.    Messengers move traffic between Red Cross  or other officials
        and   the EOC,  or as   spare  hands as needed during the shift.  The
        channel monitor  position   listens to  public service frequencies to
        keep officials informed on the  status of the incident.
        
        The Net  Control   Station  should  utilize    a  fairly  experienced
        operator. Special  training should  be taken  before attempting  this
        position  during a  major  event.
        
        The best  background for  someone filling a Messenger's position is a
        good knowledge  of traffic handling.  You can expect to take messages
        that are  destined to  go out via radio, and to deliver messages that
        have  arrived   from  the     radio  circuit.  It    is  also    your
        responsibility   to put   any originating messages into proper format
        before they  are sent.   For  more information,  review  the  section
        on  traffic handling earlier in this handbook.
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 27.1
        Emergency Responder Manual                     Page 27 1

        A channel  monitor listens to a public service frequency on behalf of
        the DEC/Shift  Supervisor.    You  can expect  to be  briefed on  the
        type   of information  to monitor as you start your shift.  Generally
        anything that will help  officials keep  abreast of  the event  as it
        develops is  of interest.
        
        Equipment at the EOC:
        Equipment at the EOC:
        
        There   generally   isn't   any   required   equipment   other   than
        perhaps a  handheld that might be used on a local intercom frequency.
        The EOC  will normally  be equipped fairly early in the event and the
        equipment can   be  expected to stay in place for the duration of the
        event.
        
        MCIP Operations (Santa Clara County):
        MCIP Operations (Santa Clara County):
        
        The Multiple  Casualty Incident  Plan   (MCIP) has  been developed in
        Santa Clara  County  to  deal  with  medical  emergencies where there
        are many  casualties.   Management of  such an  event is  expected to
        require multiple jurisdictions and  mutual aid  operations.   Amateur
        Radio   is a  primary method used within the plan to allow responding
        agencies to  communicate with each other.
        
        There are  three   primary nets  that   will be  used  during an MCIP
        event. These  are   our standard  Resource net,  a Hospital  Tactical
        Net, and an on-scene Tactical Net.
        
        A Resource  Net is  established to  begin the  process  of  gathering
        amateur operators  and equipment   for  response to  the MCIP staging
        area.   Under the  MCIP plan the Resource net automatically has a set
        of amateur   radio  positions to  be   staffed.   This   will include
        sending   two amateur  radio operators to each of  the area hospitals
        and   a number  of well   equipped  operators to  respond to the MCIP
        staging area.
        
        A NCS  will also be required for the Hospital Net.  This position can
        be staffed   by   any   qualified   amateur   and   operated from any
        convienient  location.     The     Hospital  Nets  will    coordinate
        information flow  between the incident and the area hospitals.
        
        As stated  previously the  MCIP  calls for two-member teams to  staff
        each of  the   area hospitals.   The  first member  of the  team will
        operate a radio on the  Hospital net while  the second member  of the
        team   should position  themselves near   the emergency room.  Locate
        the   hospital net  radio wherever   the  antenna   drop is  located.
        The second  team member should notify the head of the  Emergency Room
        that he  is present   and  to what  services  can  be  provided,  and
        ask  where he may be located to provide communications in a place out
        of traffic.   Both members of  this team should  choose a  convenient
        intercom   frequency that   they can use within the hospital.   It is
        suggested that  220,   or 440 Mhz  is a good choice for this intercom
        channel.
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 28.1
        Emergency Responder Manual                     Page 28 1

        A packet   station may  be requested  at the  incident to  keep track
        of victim  information.    Resource   Net  should  attempt to  find a
        portable packet operator  (with equipment)  to be  dispatched to  the
        incident as  quickly as  possible.   The victim information should be
        entered into   the  ARESdata   database   as   quickly  as  possible.
        The information  should include  the victims'   name,  victim number,
        triage status,  and    the  unit  number    of    the    transporting
        ambulance.      The best  way to  obtain this  information   is    to
        monitor  the  hospital  net  as  the ambulances are dispatched.
        
        The   ARES   incident   response   will   be   managed by an on-scene
        manager, usually  a DEC   or  EC.   Report to this  individual as you
        arrive on the scene of the incident.
        
        You will  most   likely be  asked   to perform  shadow  duty  at  the
        incident scene,   shadowing   the medical  supervisor, transportation
        officer, Incident   Commander,   or   other  emergency personnel. All
        of this communication should take place on the local Tactical Net.
        
        The transportation officer shadow has an added duty of being required
        to feed   information   into   the   Hospital   Net.  This   position
        requires monitoring two frequencies at once and is rather difficult.
        
        The other  shadows are EXTREMELY important to the success of the MCIP
        response as  we are  the  primary  communications  path  between  the
        different agenices responding to the incident.
        
        Types of Traffic During an MCIP:
        
        Resource net   during  an   MCIP is  run in  the same  manner as most
        other operations  with  the  exception  that  most  of  the  staffing
        requirements are  predetermined.   The   on-scene ARES  manager  will
        provide details   on any extra staffing requirments that the incident
        may require.
        
        During practices  of the  MCIP  we usually pre-stage the amateurs  at
        each of  the  required  locations,  and  the  resource  net  is  used
        primarily in  the demobilization phase of the drill to coordinate the
        delivery of  each   of the  practice victims  from the area hospitals
        back to  the incident  scene. Traffic  that is  appropriate   for the
        Hospital Net  includes notification of  which  ambulances  have  been
        dispatched   to   which  hospitals, and expected  casualty  types  on
        each    ambulance.    Hospital-to-Hospital  communications  are  also
        expected and encouraged.
        
        A    system     known    as     triage   sorts   victims  into  three
        general classifications  for transportation based  on their injuries.
        The first  classification   "Now"   implies     that    the    victim
        requires   immediate transport.   The   second classification "Later"
        implies that  the   injury isn't  as severe  and the  victim  can  be
        transported on  a secondary   basis.  The last  classification DOA is
        used when  the victim  has suffered   mortal  injuries or  is already
        dead.
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 29.1
        Emergency Responder Manual                     Page 29 1

        
        The   transportation  officer  shadow  will  send  traffic to each of
        the hospitals  notifying them  of an   ambulance's  arrival  and  the
        injuries   of its  victims.    This  notification should  include the
        unit   number of  the ambulance  and the  number of   victims in each
        classification.    You  might use   something   such    as    "Valley
        Medical   Center from  Transportation -  Ambulance 313  is enroute to
        your facility with 2 NOWs and 1 LATER."
        
        It is  important to remember that  the media may be monitoring, which
        is why  you should NEVER transmit the  names of victims in the clear.
        This avoids  any premature  release   of information  that may  cause
        unnecessary anguish for the families of the victims.
        
        Packet radio   is  used  to log  each of  the victims'  numbers along
        with their  medical status  and location.     It is also possible  to
        communicate with   Santa  Clara  County  Communications  via ARESdata
        for more secure communications.
        
        Local tactical  channel traffic  may be  varied in  content.   As  an
        example you  may   hear traffic  between the  Incident Commander  and
        the   medical supervisor  discussing logistics, or  the channel might
        be   involved with  organizing  amateur  resources.    Generally  any
        form of  communications between  resources at the scene is considered
        appropriate.
        
        MCIP Equipment:
        
        If responding  to the  incident, bring  at  least  the  ARES  minimum
        equipment list.   This  should stand you in  good stead since most of
        the work  will either be on the tactical net involving point-to-point
        communications at  the scene,  or through  repeaters on  the hospital
        net.
        
        A   packet   operator  should  bring  a  full portable packet station
        with printer,  a  suitable power  source such  as a  12Amp-Hour to 24
        Amp-hour battery,  and a  mobile 220  radio  to  reach  the  ARESdata
        system.
        
        NCS stations  should be  use equipment  that guarantees  they will be
        copied well  through the repeaters, as they require strong commanding
        signals.
        
        MCIP Safety Concerns:
        
        If the  MCIP is   due to a hazardous  materials spill stay well  away
        from any  dangerous area.   Pay attention  and FOLLOW all  directions
        given to  you by safety personnel.  Be VERY aware of all of the heavy
        equipment in  the area.  It's much easier for you to see the big fire
        engines than  it is for them to see you!   You can expect helicopters
        to be  operating   in the  area so  review the  section on helicopter
        safety.  Above all else use common sense.
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 30.1
        Emergency Responder Manual                     Page 30 1

        If in  a  shadow duty position  make sure you  inform the person  you
        are shadowing   as   to  the  extent  of  your  training.   This will
        help the  official determine  when conditions are unsafe for you, and
        they may  ask you to stay behind until they return for you.
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 31.1
        Emergency Responder Manual                     Page 31 1

        
        Fire Support Operations:
        Fire Support Operations:
        
        SCV   Section  ARES  is  heavily  engaged  in  supporting  members of
        the Volunteers   in   Prevention   (VIP)   program  sponsored  by the
        California Department  of   Forestry and   Fire  Protection    (CDF).
        Members of  VIP go  through   fairly   extensive  training  to  allow
        them   to   accompany CDF  officials onto  the fire line, work around
        helicopters, etc.
        
        Fire   support   operations   involve   activities  as  Resource NCS,
        shadow duties  for CDF  officers,   tactical  communications  at  the
        Incident base,  and packet  operations to/from  the   Incident  base.
        Amateurs may   also  be used  as a   technical  resource during   the
        incident.   Many CDF positions ask for  a 24  to 48  hour commitment;
        be aware  of the time commitment before you accept the posting.
        
        CDF requests  resources in anticipation  of what they will need  over
        the next  24 hours.   Its  very possible   that  you will be asked to
        respond   to an  incident, and  then be  cancelled enroute.   Another
        likely occurance is that you'll get to the staging area and sit there
        for 24 hours and never get deployed.   This  system is  difficult for
        volunteers to   deal  with because they don't feel that their efforts
        are appreciated  when they  are told  to go  home without  ever being
        given a chance to be utilized.  The fact is that you ARE appreciated.
        The mere  fact that you  were willing to volunteer is significant and
        recognized by the agencies we serve.
        
        The VIP  program has  an   alerting phone  tree, and an  organization
        within VIP  that is  responsible for  handling alerts  and running  a
        Resource  Net. ARES members may be asked to  supplement this function
        as an  event   goes beyond   the   initial   response    phase,    by
        continuing   the resource  net started by  VIP.   A VIP  Resource Net
        is managed   like  any  other ARES resource operation.   The Resource
        NCS   can be  located   anywhere that  is convenient.  It is ALWAYS a
        good   idea to  recruit a  backup NCS that  can spell you during your
        shift.
        
        Shadow duty with a  CDF officer can be  VERY demanding.  The  officer
        is very   likely   to   go  into  the  backcountry  and you may to be
        asked to  accompany him.   He  might get  there via  truck,  car,  or
        helicopter.   You need  to be  ready to  communicate in  all of these
        circumstances.   See the  equipment list for shadow duty to  know how
        to equip  yourself.   Another word of  warning is  that if you aren't
        physically fit   this  can be a dangerous assignment. There is likely
        to be  alot   of hiking in  steep terrain.  You shouldn't accept this
        assignment unless  you've had  the VIP fire line safety class and are
        physically fit.   This  is the  main reason  that  CDF  usually  only
        requests VIP trained personnel.
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 32.1
        Emergency Responder Manual                     Page 32 1

        Incident base   communciations  can  involve  both    logistical  and
        tactical traffic,  using either  repeaters  or  simplex  frequencies.
        This is  a   less physical  assignment, in  fact,   if working a late
        night shift  it can   be  actually boring.    Thats  all part  of the
        job.    You  can   expect to  be utilized  at different  parts of the
        incident base.   You  may order  dinner through the local Ranger Unit
        for the  entire Incident  Base  (IC),  or  help  with  communications
        between a staging area  and the IC.
        
        CDF employs  packet to handle much  of the logistics load between the
        IC and  the local Ranger  Unit.  The packet  station is nominally set
        up in  the CDF  communications van  (VIP-1).    A  knowledge  of  the
        different  TNC's and firmware used is helpful for this position.
        
        
        Types of Traffic:
        
        CDF uses  the Incident  Command   System so  there  is  a    standard
        vocabulary employed  in communications.     Traffic uses  plain text.
        They don`t  use 10's  codes, etc.  You should be prepared to make the
        mental switch from terms like QSL to `Copy'. Tactical  communications
        usually   involve   conversations  between   CDF officers, or passing
        messages about  situational data.   In  any case  make sure  you  use
        tactical calls and obey the NCS.
        
        Logistical information  will nominally  flow between  the IC  and the
        Ranger Unit  and most  often will  go  via packet circuits. This type
        of traffic  usually involves   resource  allocation. The most notable
        feature of  this traffic  is that  it MUST  be accurate.  This is why
        packet is so handy.
        
        Equipment for CDF operations:
        
        If involved  with shadow  duty the  ARES minimum  equipment list is a
        must. You'll  also   probably need  a mobile  radio and  power supply
        since the  position may involve going out into the middle of no-where
        in a vehicle.
        
        Operations around  the IC  are handled  with handheld  radios on  two
        meters, though  440  and 220Mhz  are also  employed by  VIP.   If you
        have all  of these  then bring  them.  As an example, the Command Net
        used by VIP  team leaders is usually going to be up on 440 Mhz.
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 33.1
        Emergency Responder Manual                     Page 33 1

        
        Mandatory equipment includes:
        
             1.   Boots (not tennis shoes!)

             2.   A change  of clothes.   These should be light material, and
                  not synthetic.  Cotton works well.

             3.   A bed roll or sleeping bag

             4.   Leather gloves

             5.   1 Quart canteen

             6.   Toilet articles and a first aid kit

        
        CDF Safety Concerns:
        
        It is  important to not be placed into a situation for which you have
        not had  the proper  training.  As an  example, if you have not taken
        the   CDF fire  line safety  class INCLUDING  deployment of  the fire
        shelter, then do not volunteer for a CDF shadow assignment.
        
        Make the  Resource   NCS aware of  your training level  as you accept
        the assignment.   Make  the Site  Supervisor  at the IC aware of your
        training level  as you  arrive at  the incident.  This should prevent
        you from being given an inappropriate/dangerous assignment.
        
        If you  are a  shadow make  the officer you are accompanying aware of
        your training level.  This will cause him to take your abilities into
        account as he proceeds about his tasks.
        
        As   always  your  own  situational  awareness  is  important to your
        own safety.  The   following   is   a   list   of situations that you
        should be watching for when involved with a fire.
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 34.1
        Emergency Responder Manual                     Page 34 1

        
        Thirteen Situations That Shout "Watch Out"
        Thirteen Situations That Shout "Watch Out"
        

        1.   You are  building, or  working on  a fireline down-hill toward a
             fire.

        2.   You are  fighting a  fire on  a hillside where rolling materials
             can  ignite a fire below you.

        3.   The wind begins to blow, increase, or change direction.

        4.   The weather turns hotter or drier.

        5.   You are  on a  fireline in heavy fuel with unburned fuel between
             you and the fire.

        6.   You are  in an  area where  the topography  and/or  cover  makes
             travel difficult and slow.

        7.   You are in unfamiliar country.

        8.   You are  in an  area where  firefighters are  not familiar  with
             local factors influencing fire behavior.

        9.   Attempting a frontal assualt on a fire with engines.

        10.  Frequent spot fires are crossing the fire line.

        11.  You  cannot   see  the   main  fire   and   you   are   our   of
             communicationwith anyone who can see it.

        12.  You do not clearly understand your assignment or instructions.

        13.  You feel drowsy and feel like taking a nap near the fire line.
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 35.1
        Emergency Responder Manual                     Page 35 1

        
        Helicopter operations:
        Helicopter operations:
        
        As ARES  operations work  more    closely  with  helicopters,  it  is
        important that  you have  a basic  familiarity with how to approach a
        helicopter safely.
        
             1.   Wear a  hardhat WITH  A STRAP.  You don't want the hat
                  heading into  the  blades  of  the helicopter.
             
             2.   Approach the  copter from  the front of the helicopter
                  so the pilot can see you.
             
             3.   Approach from  a down hill slope...approaching from an
                  uphill slope can be deadly.
             
             4.   Don't approach until the pilot or someone else signals
                  you to do so.
             
             5.   Duck down  as you  approach the  helicopter.  Be  VERY
                  AWARE  of all of the paraphenalia you are carrying and
                  its height.  Keep it all from hitting those blades!
             
             6.   Make sure  all of  the equipment  you are  carrying is
                  fastened tightly  to your  person so  it  doesn't  get
                  loose.   Make sure  your pockets are buttoned up, etc.
                  The blades can can actually create a negative lift and
                  suck items  right  up  into  the  blades  that  aren't
                  secure.
        
        
        Safety as an ARES Emergency Responder
        Safety as an ARES Emergency Responder
        
        Within this  manual we've  stressed   the importance  of taking  your
        safety as  your  own responsibility.   There  are several  aspects to
        conducting yourself  in  a  safe  manner.    The  first  step you can
        take is  to be  adequately   trained.    One  manner  to  extend your
        training is to take classes offered by other agencies.
        
        The Red  Cross offers classes in First Aid, CPR, etc. throughout most
        of the  year.    Any  of these  classes will enhance  your own safety
        because you'll be more aware of how to take care of yourself.
        
        CDF, through  the VIP  program offers  an extensive  training program
        in basic   fire   line   safety.      This  training  includes  basic
        first aid, familiarity with how to equip yourself, what situations to
        watch out  for during  a fire,  etc.   This  helps  to  improve  your
        situational  awareness   as  well  as  be  knoweledgable  about  what
        constitutes a dangerous situation.
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 36.1
        Emergency Responder Manual                     Page 36 1

        With all  this training  it is  still important  to remember that you
        should only  wear one  hat  during an ARES/RACES operation.   You are
        there   as a  communicator,  not  a    first  aid  provider,    or  a
        firefighter.    This  helps avoid confusion about your role, and will
        help you from putting yourself into unsafe situations.
        
        Safety is  just as  important at home.  You should ensure that all is
        well at  home before  responding to an emergency.  This allows you to
        keep your mind on the situation instead of worrying.
        
        As your  working an emergency you need to keep yourself aware of what
        is occuring around  you.   This is  the only  way you  can expect  to
        see a dangerous situation before  it surrounds you!   Keep your  eyes
        open and your brain on high alert!  Stay situationally aware.
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 37.1
        Emergency Responder Manual                     Page 37 1

        
        Stress Management
        Stress Management
        
        This section  is extracted  from a  paper written  by Sharon Moerner,
        N6MWD prepared  after she  gave a  talk on  Stress Management  at the
        Emergency Response  Insitute  on  6  May  1989  and  at  the  Pacific
        Convention Division on 5 October 1989.
        
        
        Types of Disasters
        
        Before discussing  how to manage stress in disasters, it is important
        to provide  a brief  background on the nature of disasters.  Riverine
        floods (flooding caused by excess precipitation over large land areas
        and/or by  melting snow)  are the  most  commonly  occurring  natural
        disasters in  the United  States yet  they do  not cause the greatest
        difficulties for workers.
        
        Research indicates  that it  is the  disaster  that  strikes  without
        warning that produces maximum social and psychological disruption for
        individuals.   Typically, a flood gives people warning in the form of
        heavy rain  or overfilled reservoirs; it rarely occurs as an absolute
        surprise.   Technological  disasters  are  thus  more  stressful  for
        victims and workers than are natural disasters.  This is both because
        such disasters  often occur  without warning and because both victims
        and workers  have a  feeling that a manmade or technological disaster
        "should have  been" prevented.   Last  but not  least, disasters that
        occur at  night are  reported to  be more  psychologically disturbing
        than those that occur in the day.
        
        
        Community Reactions to a Disaster
        
        Contrary to  popular belief,  panic does not generally follow a major
        catastrophe!  In other words, mental illness does not suddenly appear
        on the  scene in full blown florid state.  People rarely disintegrate
        and become  incapable of  coping nor do people become shells of their
        former    selves--incapable,    ineffective,    self-centered,    and
        thoughtless.   If panic  occurs at  all, it is most likely during the
        period of  threat; disasters  that give warning may precipitate panic
        in some but it is relatively rare.
        
        In a disaster, people respond to active interest and concern.  It can
        not be  emphasized enough that disaster stress reactions are a normal
        response to an abnormal event.
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 38.1
        Emergency Responder Manual                     Page 38 1

        
        In a disaster, people experience problems of living and readjustment.
        Consequently, there are certain thoughts and feelings that are common
        to all who experience a disaster.  If you are an emergency worker who
        is also  a victim  in a  disaster, you  may experience  many  of  the
        following normal symptoms:
        
        a.   concern for basic survival
        
        b.   separation anxiety  centered on  the self  and also expressed as
             fear for the safety of significant others
        
        c.   regressive (immature) behaviors
        
        d.   relocation and isolation anxieties
        
        e.   the need  to  express  feelings  about  experiences  during  the
             disaster
        
        f.   the  need  to  feel  one  is  part  of  the  community  and  its
             rehabilitation efforts
        
        g.   altruism (the desire to help others).
        
        There may also be grief over the loss of loved ones or loss of prized
        possessions.   In such  cases, there may be somatic distress (stomach
        disorders, shallow  breathing, exhaustion),  preoccupation with image
        of the deceased, guilt (especially if you felt the tragedy could have
        been prevented), hostile reactions (irritability, anger, avoidance of
        friends/relatives), changes  in routine  behaviors, and  you  or  the
        other bereaved may take on the behaviors of the deceased person.
        
        Stress Theory
        
        "So there  are a  few generic  symptoms in  a disaster--how does that
        effect my  work as  a communicator?"  you wonder.   To  understand, a
        quick explanation of stress is in order.  Basically, certain external
        events (stressors)  can put  extra demands on the individual (stress)
        which can lead to physical and/or emotional wear and tear (strain).
        
        Hans Selye  proposed a  three stage General Adaptation Syndrome (GAS)
        to explain  stress.  In the Alarm Phase, the body gears up for stress
        or a "fight or flight" response.  In this phase, there is an increase
        in the  body's heart  rate, blood pressure, and muscle tension.  This
        is very  useful as  it provides  the body  with additional  strength,
        produces highly focused behavior, and assists in task performance.
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 39.1
        Emergency Responder Manual                     Page 39 1

        The second  phase is  called the Resistance Phase and the above noted
        local physiological  defense mechanisms  in the  system "take  over."
        The individual  looks as  though s/he  has  adapted  to  a  stressful
        lifestyle.   In the  Exhaustion Phase,  however, the body's defensive
        resources are  overtaken.   Symptoms appear  such as gastrointestinal
        tension, nausea,  muscle tremors/cramps,  heart palpitations, ringing
        in the ears, muffled hearing, or profuse sweating.  If this continues
        for too  much or  too long,  stress can  culminate in death (think of
        Type-A workers,  early heart attacks, and ulcers to better understand
        the potential lethality of stress).
        
        Clearly, stress  is not  all bad!  People often perform at their best
        when a  tad bit  stressed or  when aware  of being under observation.
        The   problem    is   when   stess   accumulates   without   respite.
        Unfortunately, this  problem  occurs  to  disaster  workers  and  the
        following sections  will discuss both the types of stress inherent in
        disaster situations and how to cope with stress.
        
        Types of Stress on Workers
        
        There are  three major types of stress that emergency responders face
        in  a   disaster:  event   stressors,  occupational   stressors,  and
        organizational stressors.
        
        Disasters that  are particularly  hard on  responders  contain  event
        stressors that entail personal loss or injury, traumatic stimuli, and
        mission failure  or human  error.   Stimuli such  as painful  deaths,
        gross  violations  of  physical  integrity,  contact  with  mutilated
        bodies, or the death of children are especially traumatic, and it can
        be anticipated  that an emergency responder dealing with such stimuli
        will have  emotional problems at some point.  Although it is unlikely
        that we,  as communicators,  would have  responsibility for  life and
        death decisions  in triage,  the research  indicates  that  emergency
        responders with  these responsibilities greatly suffer in the face of
        such traumatic situations.  An additional event stressor is a manmade
        disaster where  both victims  and workers are often outraged that the
        event was  allowed to  occur.   Mission failure  or human  error  may
        generate a  strong sense  of  powerlessness  and  helplessness  among
        responders.   There is  consequently a high degree of anger which may
        interfere with  the  emotional  recovery  process  (to  be  discussed
        below).
        
        Occupational stressors  faced by  emergency responders include things
        such as  time pressures,  work overload, hazardous work environments,
        and conflicts or uncertainties in the work situation.  Unfortunately,
        heavy work  loads, long  hours, and  pressure to accomplish difficult
        tasks quickly are inherent in emergency and disaster work.  There are
        often periods  of low  activity and  little pressure that may then be
        interrupted suddenly by incidents that demand great concentration and
        physical exertion.   The unpredictability of a disaster's workload is
        stressful as is the difficulty in controlling the environment.  It is
        important to  be aware  of the fact that noise alone, especially with
        extended exposure,  is stressful  (wearing headphones  thus decreases
        your stress while also enabling you to hear!).
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 40.1
        Emergency Responder Manual                     Page 40 1

        
        Organizational  stressors   are  concerned  with  the  conflicts  and
        uncertainties in  a worker's role or at the work site.  Role conflict
        or  role   ambiguity  are   terms  frequently  used  when  describing
        organizational stressors  and it  has  to  do  with  the  uncertainty
        surrounding the  nature/purpose/responsibilities of  one's job.  Hams
        are frequently  faced with this particular stress if we lose sight of
        the fact that communication--not decision making--is usually our role
        in a  disaster.   Any uncertainty about our duties, however, may lead
        to emotional  costs in  the form  of  tension,  dissatisfaction,  and
        lowered self-esteem.
        
        Disaster Worker Phases of Stress
        
        There are  four major phases of stress:  Alarm, Mobilization, Action,
        and Letdown.   Each  of  these  phases  is  associated  with  certain
        reactions that  can  be  divided  into  four  areas:    physiological
        reactions, cognitive  reactions,  psychological/emotional  reactions,
        and behavioral reactions.
        
        In the  Alarm Phase,  we are  having to  comprehend and adjust to the
        news of  the disaster.   In  other words, our energy is geared toward
        collecting and  making sense  of the available facts and information.
        People initially  feel shocked  and stunned.    The  Alarm  Phase  is
        quickly followed  by the  Mobilization Phase.   In this latter phase,
        the focus is on the development and coordination of plans.  Supplies,
        equipment, and  manpower are inventoried and mutual assistance may be
        requested at this time.
        
        The physiological  reactions to the Alarm and Mobilization Phases are
        such that  our bodies  gear up for a "flight or fight" response.  Our
        bodies begin  to  mobilize  for  peak  performance  and  so  we  find
        increases  in   our  pulse,   respirations,   blood   pressure,   and
        perspiration rate.   Our major cognitive reaction (cognitive means it
        deals with  our thought  processes) is one of disorientation.  We may
        have difficulty in making sense out of all the information coming in;
        we have trouble comprehending the scope of the event.
        
        The   psychological/emotional   reaction   during   the   Alarm   and
        Mobilization Phases  is largely  one of shock; there is often anxiety
        or fear  about what will be found at the scene.  Behavioral reactions
        include:   difficulty communicating  or putting  thoughts into words,
        increased levels of activity, and decreased efficiency.
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 41.1
        Emergency Responder Manual                     Page 41 1

        
        In the  Action Phase of disaster worker stress, we see responders who
        are actively and constructively working at necessary tasks.  There is
        a high  level of  activity and  stress.   The following physiological
        reactions are  the first reactions to occur in acute stress reactions
        (but may  be the last symptoms to appear in chronic stress or burnout
        so these  may be  seen at both the beginning of a disaster and at the
        end of a long-drawn out disaster):
        
        a.   increased pulse,  respirations, blood pressure, perspiration (if
             this continues  for  too  much  or  too  long,  there  is  often
             gastrointestinal tension,  nausea, muscle  tremors/cramps, heart
             palpitations, ringing  in the ears, muffled hearing, and profuse
             sweating)

        b.   trouble getting  breath; increased problems with allergies, skin
             conditions, and asthma

        c.   nausea, upset stomach, diarrhea

        d.   sweating  or  chills;  cold  hands/feet;  clammy  skin;  tremors
             (especially of hands, lips, and eyes)

        e.   muffled hearing

        f.   headaches

        g.   feeling weakness,  numbness, or  tingling in  part of  the body;
             feeling uncoordinated

        h.   muscle soreness or stiff neck; lower back pain

        i.   lump in the throat

        j.   chest pains (have this checked at the hospital)

        k.   faintness/dizziness; fatigue

        l.   exaggerated startle reaction

        m.   appetite change; weight loss/gain

        The cognitive  reactions are  the next  to occur  after the  physical
        symptoms in  acute stress  situations.   These include:   (a)  memory
        problems/short term  memory loss,  (b) disorientation, (c) difficulty
        naming  objects,   (d)  trouble   comprehending   information--mental
        confusion,  (e)   difficulty  calculating,   (f)  difficulty   making
        judgments, decisions,  and problem solving (g) poor concentration and
        limited attention span, and (h) loss of objectivity with an inability
        to use logic to solve problems.
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 42.1
        Emergency Responder Manual                     Page 42 1

        
        The  numerous   psychological/emotional  reactions   and   behavioral
        reactions during  the Action  Phase of  disaster  worker  stress  are
        outlined below:
        
        
        Psychological/Emotional Reactions       Behavioral Reactions
        Psychological/Emotional Reactions       Behavioral Reactions
        ------------------------------------------------------------
        ------------------------------------------------------------
        feeling high/heroic/invulnerable        difficulty communicating
        feeling high/heroic/invulnerable        difficulty communicating
        
        feeling grateful for being alive;       inability in expressing  
        feeling grateful for being alive;       inability in expressing  
          euphoria                                oneself verbally or in      
          euphoria                                oneself verbally or in      
                                                  writing
                                                  writing
        
        anxiety/fear                            hyperractivity
        anxiety/fear                            hyperractivity
        
        strong identification with              effectiveness of activity
        strong identification with              effectiveness of activity
          the  victim  
          the  victim  
        
        blaming and anger                       outburst of anger
        blaming and anger                       outburst of anger
        
        irritability, restlessness,             frequent arguments
        irritability, restlessness,             frequent arguments
          hyperactivity                           inability to rest or
          hyperactivity                           inability to rest or
                                                  let down.
                                                  let down.
        
        sadness, grief, depression, and         crying periods; may begin to
        sadness, grief, depression, and         crying periods; may begin to
          moodiness                               cry with no reason; prior
          moodiness                               cry with no reason; prior
                                                  neutral stimuli take on
                                                  neutral stimuli take on
                                                  new  significance (BBQ meat
                                                  new  significance (BBQ meat
                                                  reminds one of burned
                                                  reminds one of burned
                                                  flesh)
                                                  flesh)
        recurrent dreams of event               
        recurrent dreams of event               
          or other traumatic dreams
          or other traumatic dreams
        
        guilt                                   wanting to do more to help
        guilt                                   wanting to do more to help
        
        feelings of isolation, detachment,      increased use of alcohol/
        feelings of isolation, detachment,      increased use of alcohol/
          and estrangement                        tobacco/drugs
          and estrangement                        tobacco/drugs
        
        feeling lost or abandoned               social withdrawal,
        feeling lost or abandoned               social withdrawal,
                                                  distancing, or
                                                  distancing, or
                                                  limiting contacts with
                                                  limiting contacts with
                                                  others
                                                  others
        
        apathy; diminished interest in          sexual problems
        apathy; diminished interest in          sexual problems
        usual activities
        usual activities
        
        denial or constriction of               increased accident-proneness
        denial or constriction of               increased accident-proneness
          feelings; numbness
          feelings; numbness
        
        excessive worry about the safety
        excessive worry about the safety
          of others
          of others
        ---------------------------------------------------------------------
        ---------------------------------------------------------------------
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 43.1
        Emergency Responder Manual                     Page 43 1

        Included under  the Action  Phase is  that symptom known as Burn-out.
        This is a state of exhaustion, irritability, and fatigue which creeps
        up unrecognized and undetected upon an individual.  Others around the
        worker can  tell s/he is burned out as the worker's effectiveness and
        capability markedly  decrease, but the worker is often unaware of it.
        All of  the previously mentioned symptoms may be apparent in Burn-out
        and it takes about 4-6 weeks for most of the symptoms to disappear.
        
        The Letdown  Phase is the transition from the disaster operation back
        into the normal routine of work/family life.  This phase is often the
        most intense  period of  emotion for  workers.   There is  difficulty
        letting  go   and  resistance   to  ending  the  disaster  operation.
        Responders report  a restlessness  or inability  to get involved with
        regular work  activities and many feel a lack of closure (hams may be
        dismissed once  the communications emergency is over but the disaster
        isn't "over" for everyone else).  There tends to be estrangement from
        peers who were not part of the disaster operation and this results in
        feelings of  alienation and  increased tension  within the  family or
        among co-workers.   Many  emergency responders  withdraw during  this
        period  because  they  feel  their  families  can't  understand  what
        happened or  because they  want to protect their family from the more
        terrible aspects  of the disaster.  Workers may respond in one of two
        directions, (a) they need to ventilate (repeatedly talk) of the event
        or (b)  they withdraw  and subsequently  deny their feelings and they
        are very unwilling to talk about their experience.
        
        Coping with Worker Stress
        
        Terrific, now  that we  know what  kinds of  stress we may encounter,
        what do  we do  about it?   The first step is to become aware of what
        YOUR  stress   symptoms  are.     Many   people  can  identify  their
        physiological reactions  to stress--just  think about  what you do in
        everyday life when under tension.  Sweaty palms?  Neck aches?  Weight
        change?   After thinking  about your  physical  response  to  stress,
        consider your  other reactions.   Do  you  have  a  tendency  to  get
        snappish or  irritable when  stressed?   Do you tend to "zone out" or
        become a  zombie when overwhelmed?  Are you incredibly active without
        being effective?
        
        It is  essential  that  you  become  sensitive  to  and  define  your
        reactions to  stress.   When you  then go  into a disaster situation,
        develop a  "buddy system"  with another  ham or  emergency responder.
        Tell him/her what your signs are BEFORE you get stressed out (and ask
        them to  tell you their signs of stress) and agree to tell each other
        when things  are becoming  a problem.  The idea is to have someone be
        able to  help you identify when you've reached your limit (or for you
        to help  them notice they've reached their limit).  As mentioned, one
        of the  reactions during a disaster is an inability to rest which may
        also be  combined with  a feeling  of being invulnerable or on top of
        things.   The problem  is that  one of you may be feeling "great" and
        yet displaying  multiple symptoms  of stress  such that  you or  your
        buddy are  basically ineffective.   Having agreed beforehand that you
        and your  buddy can  give each  other a brief hint when it is time to
        take a breather will do wonders to decrease the stress.
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 44.1
        Emergency Responder Manual                     Page 44 1

        
        As a  general rule,  it helpful  to maintain supportive interpersonal
        relationships during a disaster.  A sense of teamwork and of everyone
        being "on the same side" helps to decrease personal stress levels.
        
        Another useful  trick is  to use  positive  self-statements  to  help
        stabilize and reinforce yourself.  Rather than thinking, "I've got to
        hurry and pass this traffic and then I've got to go check over here,"
        say things  to yourself  like, "you're doing fine--keep on track, but
        don't  get   rushed."     Give   yourself   positive   feedback   and
        reinforcement; "you're  doing fine--this  is a piece of cake for you"
        rather than  "I'm a  terrible net control and everyone is laughing at
        me."   Use distraction  or thought  stopping techniques  to deal with
        unwanted or  irrational thoughts.   For  people who are visual, see a
        big red stop sign or the words "STOP" in your head.  For those of you
        who are not visually oriented, say the word "STOP" (or anything else)
        to yourself.
        
        If you  are a supervisor or in a management position, it is important
        that you  help to  establish  shifts  that  are  reasonable  for  the
        disaster.   People are far more effective working (for example) a six
        hour shift  with five  minute breaks  between each  hour than to work
        four hours  non-stop.    Although  you  may  have  workers  who  feel
        comfortable working  12 hour  shifts back-to-back,  BEWARE!    It  is
        unlikely that your workers will be effective and there is no point in
        pushing burnout  among your  volunteers.  In addition, you must limit
        an emergency  workers's time in high stress environments.  Some areas
        are more  stressful than  others; working on a fireline may be harder
        than working  at a base camp whereas shadowing the Public Information
        Officer may be easier than shadowing the Triage Team Leader.
        
        Although we  have been  involved in  tests of  the Multiple  Casualty
        Incident Plan  in which  we see  people made  up to  look injured, we
        still know  it isn't  "real."  In a disaster, however, having to work
        in the  morgue or  among mortally  injured humans  is one of the most
        stressful positions  to be in.  (NOTE:  it is recommended that people
        be rotated  out of  the morgue unit no less frequently than every two
        hours.) If  you find  yourself assigned  to such  a  traumatic  area,
        redefine the unsavory sights to make them less threatening.  Consider
        the body  parts as  some kind of object, such as waxworks, scientific
        specimens, or manniquin parts.  Doing this on the scene will decrease
        your stress and enable you to work more effectively although you will
        probably need assistance later in dealing with what you saw.
        
        If you  find yourself involved in a long disaster operation away from
        home, make  every effort  to stay  in  touch  with  your  family  and
        friends.   Bring a small picture of your loved ones or something that
        reminds you  of home  (that old  teddy bear?) to help remind you that
        this disaster isn't "normality."
        
        
        
        Amateur Radio Emergency Service                Revised 11/11/90
        Amateur Radio Emergency Service                Revised 11/11/90
        Emergency Responder Manual                     Page 45.1
        Emergency Responder Manual                     Page 45 1

        Like many  things, preparing  now for  a disaster  in the future will
        benefit you.   Being  in good  physical condition  before a  disaster
        means the  physical reactions  to stress  will take  less of  a toll.
        Just because  you are  helping in a disaster does not mean you should
        stop exercising,  eating right,  and relaxing.   There are many books
        available on  how to  take care of yourself in the area of nutrition,
        exercise, and  relaxation so  I won't  go into  detail here except to
        note a  few things:   (a)  a diet  too low  in calcium  can leave one
        feeling anxious, irritable, or fatigued (sound like a familiar stress
        reaction?), (b)  vitamin C  is essential  in the  functioning of your
        adrenal glands  (which help  to keep  emergency workers  alert),  (c)
        alcohol and  caffeine can  deplete  the  system  of  B  vitamins  and
        minerals yet  "B's" are  helpful in coping with stress, and (d) it is
        best to  eat frequently  and in  small  quantities  during  stressful
        situations.
        
        Last but  not least,  I strongly  encourage that a debriefing be held
        after a  disaster operation.   A  debriefing is  a  time  to  provide
        information about  normal stress reactions and a chance for people to
        express their feelings about the event.  A debriefing is not the same
        as a  critique; the  former allows  ventilation of feelings while the
        latter provides  feedback and constructive criticism about the event.
        "I was  scared, nauseated,  and loved every minute of it" may be said
        in a  debriefing whereas "ATV would have been great in this event and
        how come  I didn't  get to  be net control" would be appropriate in a
        critique.
        
        I  hope  this  is  helpful  for  you.    Anyone  interested  in  more
        information about stress responses or coping in a disaster can obtain
        several (free)  useful booklets by writing to:  National Institute of
        Mental Health--5600 Fishers Lane--Rockville, MD 20857.
        
        
        
        Conclusion:
        Conclusion:
        
        In this  manual we  have attempted to cover the basic requirements of
        being an  emergency responder  and how  to go  about that task.  Just
        like any  other endeavor the basic skills you need to develop require
        time and  practice. Hopefully,  the data presented here will help you
        in that  pursuit.   If the only thing you gain from this manual is to
        BE CAREFUL and use common sense then the manual has succeeded.
        
        Good Luck!.ective working (for example) a six
        hour shift  with 