@ECHO off
CLS
REM
REM ========================================================================
REM =                                                                      =
REM =   Repertoires par defaut. Ils peuvent eventuellement etre modifies   =
REM =                                                                      =
REM = Default directories. This can be changed in a different organization =
REM =                                                                      =
REM ========================================================================
REM
SET     disk=A:
SET      doc=C:\DOC
SET     save=C:\SAVE
SET      fbb=C:\FBB
SET fichiers=C:\FICHIERS
SET     mail=C:\MAIL
SET  binmail=C:\BINMAIL
SET    stats=C:\STATS
SET      fwd=C:%fichiers%\FWD
REM
REM ========================================================================
REM
ECHO *** INSTALLATION DE LA FBB 5.13 A LA PLACE DE LA 5.12 ***
ECHO *** UPGRADING FBB 5.12 TO FBB 5.13
ECHO .
ECHO Il est suppose que la 5.12 est deja installe de facon standard  savoir:
ECHO - Les programmes du serveur dans %fbb%
ECHO - Les fichiers dans              %fichiers%
ECHO - Les messages dans              %mail%
ECHO - Les messages binaires dans     %binmail%
ECHO.
ECHO Si cette configuration n'est pas correcte,
ECHO modifier les chemins par defaut dans le fichier SUITE2.BAT
ECHO.
ECHO We suppose that the installation was made as usually :
ECHO - BBS programms in %fbb%
ECHO - System files in  %fichiers%
ECHO - Mail in          %mail%
ECHO - Binary mail in   %binmail%
ECHO.
ECHO If this is not your configuration, you can modify the default directories 
ECHO in the SUITE2.BAT file.
ECHO.
ECHO Si votre configuration n'est pas correcte, taper CTRL-C.
ECHO If your configuration is not correct, type CTRL-C to stop.
PAUSE
ECHO.
ECHO *** MISE A JOUR EN COURS ..... ***
ECHO.
ECHO *** UPGRADING SOFTWARE .... ****
C:
CD \
MD %doc%
MD %save%
MD %fwd%
MD %binmail%
MD \FBBTEMP
MD \FBB512
COPY %disk%PKUNZIP.EXE
CD %fbb%
VERIFY ON
ECHO.
ECHO Sauvegarde des fichiers actuels....
ECHO Saving old files....
ECHO.
COPY INIT.SRV \FBB512
COPY EPURMESS.INI \FBB512
CD %fichiers%
COPY *.* \FBB512
ECHO Copie des nouveaux fichiers....
ECHO Copying new files....
ECHO.
CD \FBBTEMP
\PKUNZIP %disk%FBB513.ZIP
COPY SERV.BIN %fbb%
COPY SERV_*.OVL %fbb%
COPY INIT.SRV %fbb%
COPY EPURMESS.* %fbb%
COPY SETUSER.COM %fbb%
COPY MAINTINF.COM %fbb%
COPY TLABEL.COM	%fbb%
COPY MAKEFBB.COM %fbb%
COPY FBBIOS.COM	%fbb%
COPY ESS.COM %fbb%
COPY ORGANISE.COM %fbb%
COPY CLEANUP.COM %fichiers%
ECHO *** REORGANISATION DES MESSAGES EN COURS ***
ECHO.
ECHO *** REORGANIZING MESSAGES ***
ECHO.
\FBBTEMP\ORGANISE %mail%
\FBBTEMP\ORGANISE %binmail%
\PKUNZIP %disk%FIC513.ZIP
COPY CRON.SYS %fichiers%
\PKUNZIP %disk%TXT513.ZIP
COPY *.HLP %fichiers%
COPY *.TXT %fichiers%
CD %fbb%
\PKUNZIP %disk%SRV513.ZIP
CD %stats%
\PKUNZIP %disk%LOGSTAT.ZIP
CD \FBBTEMP
\PKUNZIP %disk%DOC513.ZIP
COPY *.DOC %doc%
ECHO.
ECHO Generation de la version francaise. Pour generer une version anglaise,
ECHO faites la commande "MAKEFBB GB" dans le repertoire %fbb% apres l'installation.
ECHO.
ECHO Creating a french version. If you prefer an english version, goto
ECHO %fbb% directory and run "MAKEFBB GB" after this upgrade.
ECHO.
CD %fbb%
MAKEFBB FR
VERIFY OFF
ECHO.
ECHO Suppression du directory de decompactage...
ECHO Killing temporary directory
CD \FBBTEMP
DEL *.*
CD \
RD FBBTEMP
DEL PKUNZIP.EXE
ECHO.
ECHO C'est fini !!!!
ECHO That's all, folks !!!!
ECHO.
ECHO Anciens fichiers sauvegardes dans le repertoire \FBB512.
ECHO Mettre a jour les fichiers:
ECHO CRON.SYS et REJET.SYS dans %fichiers%
ECHO et INIT.SRV dans %fbb%.
ECHO.
ECHO Si les langues ne sont pas dans le bon ordre, utiliser SWAPLANG.EXE
ECHO.
ECHO Old files are in the \FBB512 directory.
ECHO Upgrade the following files:
ECHO CRON.SYS and REJET.SYS in %fichiers%
ECHO INIT.SRV in %fbb%
ECHO.
ECHO Fin de l'installation.
ECHO End of upgrade.
DEL suite.bat