
/* version control information */
#include "config.h"
#include "global.h"
/* Change only the part after the decimal when making local changes.
 * Prefix is changed only by N3EUA. Persons other than KA9Q making local
 * changes and fixes should append letters to the suffix.
 */
char Version[] = "900716 NOS";

int
doinfo(argc,argv,p)
int argc;
char *argv[];
void *p;
{
	tprintf("NOS configuration information.   (PA0GRI version 900721)\n");
	tprintf("containing Domain server, POP2, NNTP, TIP,");
#ifdef SERVERS
	tprintf(" TCP servers,\n");
#endif
#ifdef RIP
	tprintf(" RIP,");
#endif
#ifdef HOPCHECK
	tprintf(" HOP,");
#endif
#ifdef MAILBOX
	tprintf(" MAILBOX,");
#endif
	tprintf(" RLOGIN, and the Russell Nelson modsets\n");
	tprintf("%d sockets, %d interrupt buffers of %d bytes\n",DEFNSOCK,NIBUFS,IBUFSIZE);
#ifdef	PC_EC
	tprintf("3COM Ethernet controller driver\n");
#endif
#ifdef	ASY
	tprintf("Generic async interface (via 8250/16450/16550)\n");
#endif
#ifdef	SLIP
	tprintf("SLIP async interface (via 8250/16450/16550)\n");
#endif
#ifdef	KISS
	tprintf("KISS async interface (via 8250/16450/16550)\n");
#endif
#ifdef	HS
	tprintf("High speed (56kbps) modem driver\n");
#endif
#ifdef	PACKET
	tprintf("FTP Software's PACKET driver interface\n");
#endif
#ifdef	ARCNET
	tprintf("ARCnet via PACKET driver\n");
#endif
#ifdef	SLFP
	tprintf("SLFP via PACKET driver\n");
#endif
#ifdef	PC100
	tprintf("PAC-COM PC-100 driver\n");
#endif
#ifdef	DRSI
	tprintf("DRSI PCPA slow-speed driver\n");
#endif
#ifdef	SCC
	tprintf("Generic SCC (8530) driver\n");
#endif
#ifdef	EAGLE
	tprintf("Eagle 8530 board driver\n");
#endif
#ifdef	HAPN
	tprintf("Hamilton Area Packet Network driver\n");
#endif
#ifdef	NRS
	tprintf("NET/ROM async interface\n");
#endif
#ifdef	NETROM
	tprintf("NET/ROM network interface\n");
#endif
	return 0;
}
