#include <stdio.h>
#include <string.h>
#include <dos.h>
#include "global.h"
#include "mbuf.h"
#include "socket.h"
#include "session.h"
#include "proc.h"
#include "netuser.h"
#include "extern.h"

extern int errno;

int
sputs(int s,char *str)
{
	register struct mbuf *bp;

	bp = alloc_mbuf(200);
	strcpy(bp->data, str);
	bp->cnt = strlen(bp->data);
	send_mbuf(s,bp,0,NULLCHAR,0);
}

void
extern_call(unsigned dummy, unsigned bp, unsigned es, unsigned ds,
	unsigned di, unsigned si, unsigned dx, unsigned cx,
	unsigned bx, unsigned ax)
{
	_DI = _SI;
	switch(ax & 0xff){
	case EXT_RESOLVE: {
		unsigned long ip_addr;
		ip_addr = resolve(MK_FP(es,di));
		dx = ip_addr >> 16;
		ax = ip_addr;
		break;
	}
	case EXT_SOCKET:
		ax = socket(bx, cx, dx);
		break;
	case EXT_CONNECT:
		ax = connect(bx, MK_FP(es,di), cx);
		break;
	case EXT_USPRINTF:
		ax = sputs(_BX, MK_FP(es,di));
		break;
	case EXT_RECV:
		ax = recv(bx,MK_FP(es,di),cx,dx);
		break;
	case EXT_RECVLINE:
		ax = recvline(bx,MK_FP(es,di),cx);
		break;
	case EXT_SEND:
		ax = send(bx,MK_FP(es,di),cx,dx);
		break;
	case EXT_CLOSE_S:
		ax = close_s(bx);
		break;
	case EXT_ERRNO:
		ax = errno;
		break;
	case EXT_FCNTL:
		ax = fcntl(bx, cx, dx);
		break;
	case EXT_SOCKLEN:
		ax = socklen(bx, cx);
		break;
	}
}
