#include <string.h>
#undef NULL
#include <conio.h>
#include <stdio.h>
#define TRUE 1
#define FALSE 0

FILE *fnami, *fnamo;
char zarr[80], zar[80], fname[80], zout[32768];
unsigned int xi;

int
getlin(str,max)
char *str;
int max;
{
	int ch, pos;

	ch=pos=0;
	while (ch != 0x0a && pos<max) {
		ch=getchar();
		if (ch == -1) return -1;
		str[pos++]=ch;
		str[pos]=0;
	}
	if (ch== 0x0a) str[pos-1]=0;
	return (strlen(str));
}

int
fgetlin(str,max,f)
char *str;
int max;
FILE *f;
{
	int ch, pos;

	ch=pos=0;
	while (ch != 0x0a && pos<max) {
		ch=getc(f);
		if (ch == -1) return -1;
		str[pos++]=ch;
		str[pos]=0;
	}
	if (ch== 0x0a) str[pos-1]=0;
	return (strlen(str));
}

int
fgetline(str,max,f)
char *str;
int max;
FILE *f;
{
	int l;

	while ((l=fgetlin(str, max, f)) == 0) ;
	return l;
}

int
getline(str,max)
char *str;
int max;
{
	int l;

	while ((l=getlin(str, max)) == 0) ;
	return l;
}

int fix_hex(ch)
char **ch;
{
	register char *c;
	int i,j;

	c = *ch;
	*(c+73) = 0;
	*(c+74) = 0;
	*ch = c+9;
	return;
}
	
unsigned int
gethexb(ch)
char **ch;
{
	unsigned int v;
	int i,j;
	register char *c;

	c = *ch;
	v = 0;
	i = toupper(*c++);
	if (i >=0x30 && i <= 0x39) v += (i&0x0f);
	else if (i >= 0x41 && i <= 0x46) v += (9 + (i&0x0f));
	else return EOF;
	v = v<<4;
	i = toupper(*c++);
	if (i >=0x30 && i <= 0x39) v += (i&0x0f);
	else if (i >= 0x41 && i <= 0x46) v += (9 + (i&0x0f));
	else return EOF;
	*ch = c;
	return v;
}


int
main(argc,argv)
int argc;
char *argv[];
{
	int i, j, l, dif;
	unsigned int v;
	char *ch, *in, *out, *zaro;

	in = out = NULL;
	if (argc == 3) {
		in = argv[1];
		out = argv[2];
	}
	do {
		if (in) /* Name supplied in command line */ {
			fnami=fopen(in,"rt");
			if (fnami == NULL) {
				printf("%s does not exist.\n",in);
				in = NULL;
			}
		} else {
			printf("RAM Dump to read? ");
			getline(fname, 80);
			fnami=fopen(fname,"rt");
		}
	} while (fnami == NULL);

	do {
		if (out) /* Name supplied in command line */ {
			fnamo=fopen(out,"wb");
			if (fnamo == NULL) {
				printf("Can't write to %s\n",out);
				out = NULL;
			}
		} else {
			printf("Binary file to create? ");
			getline(fname, 80);
			fnamo=fopen(fname,"wb");
		}
	} while (fnamo == NULL);

	xi = 0;
	while (!feof(fnami)) {
		l=fgetline(zar,80,fnami);
		if (l > 0) {
/*			printf("%s\n", zar);
			printf("   %4.4X\n", xi);
*/			ch = zar;
			fix_hex(&ch);
			for (i=0;i<32;i++) zout[xi++] = gethexb(&ch);
		}
	}
	(void)fwrite(zout, 1, 16384,fnamo);
	(void)fwrite(zout+16384, 1, 16384,fnamo);

	/* All Done, close files */
	fclose(fnami);
	fclose(fnamo);
	return 0;
}
