#include <string.h>
#undef NULL
#include <conio.h>
#include <stdio.h>
#define TRUE 1
#define FALSE 0

FILE *fnami, *fnamo;
char zarr[80], zar[80], fname[80];

int
getlin(str,max)
char *str;
int max;
{
	int ch, pos;

	ch=pos=0;
	while (ch != 0x0a && pos<max) {
		ch=getchar();
		if (ch == -1) return -1;
		str[pos++]=ch;
		str[pos]=0;
	}
	if (ch== 0x0a) str[pos-1]=0;
	return (strlen(str));
}

int
fgetlin(str,max,f)
char *str;
int max;
FILE *f;
{
	int ch, pos;

	ch=pos=0;
	while (ch != 0x0a && pos<max) {
		ch=getc(f);
		if (ch == -1) return -1;
		str[pos++]=ch;
		str[pos]=0;
	}
	if (ch== 0x0a) str[pos-1]=0;
	return (strlen(str));
}

int
fgetline(str,max,f)
char *str;
int max;
FILE *f;
{
	int l;

	while ((l=fgetlin(str, max, f)) == 0) ;
	return l;
}

int
getline(str,max)
char *str;
int max;
{
	int l;

	while ((l=getlin(str, max)) == 0) ;
	return l;
}

int
fputline(s,f)
char *s;
FILE *f;
{
	while (*s) fputc(*s++,f);
	fputc(0x0a,f);
}

unsigned int
gethex(ch)
char **ch;
{
	unsigned int v;
	int i,j;
	register char *c;

	c = *ch;
	v = 0;
	while (*c == 0x20) c++;
	while (*c) {
		i = toupper(*c++);
		v = v<<4;
		if (i >=0x30 && i <= 0x39) v += (i&0x0f);
		else if (i >= 0x41 && i <= 0x46) v += (9 + (i&0x0f));
		else break;
		if (*c == 0x20) break;
	}
	while (*c == 0x20) c++;
	*ch = c;
	return v;
}


int
main(argc,argv)
int argc;
char *argv[];
{
	int i, j, l, dif;
	unsigned int v;
	char *ch, *in, *out;

	in = out = NULL;
	if (argc == 3) {
		in = argv[1];
		out = argv[2];
	}
	do {
		if (in) /* Name supplied in command line */ {
			fnami=fopen(in,"rt");
			if (fnami == NULL) {
				printf("%s does not exist.\n",in);
				in = NULL;
			}
		} else {
			printf("Symbol file to read? ");
			getline(fname, 80);
			fnami=fopen(fname,"rt");
		}
	} while (fnami == NULL);

	do {
		if (out) /* Name supplied in command line */ {
			fnamo=fopen(out,"wt");
			if (fnamo == NULL) {
				printf("Can't write to %s\n",out);
				out = NULL;
			}
		} else {
			printf("Equate file to create? ");
			getline(fname, 80);
			fnamo=fopen(fname,"wt");
		}
	} while (fnamo == NULL);

	while (!feof(fnami)) {
		l=fgetline(zar,80,fnami);
		if (l>0) {
			ch = zar;
			v = gethex(&ch);
			if (!(ch[0] == 0x5f && ch[1] == 0x5f
					&& (ch[2] == 'H' || ch[2] == 'L'))) {
				sprintf(zarr," global %s",ch);
				fputline(zarr,fnamo);
				sprintf(zarr,"%s equ %4.4XH",ch, v);
				fputline(zarr,fnamo);
			}
		}
	}
	fclose(fnami);

	fputline(zarr," end");

	/* All Done, close files */
	fclose(fnamo);
	return 0;
}
