#include <string.h>
#undef NULL
#include <conio.h>
#include <stdio.h>
#define TRUE 1
#define FALSE 0

FILE *fnami, *fnamo;
char zarr[100],fname[80];

int
getlin(str,max)
char *str;
int max;
{
	int ch, pos;

	ch=pos=0;
	while (ch != 0x0a && pos<max) {
		ch=getchar();
		if (ch == -1) return -1;
		str[pos++]=ch;
		str[pos]=0;
	}
	if (ch== 0x0a) str[pos-1]=0;
	return (strlen(str));
}

int
fgetlin(str,max,f)
char *str;
int max;
FILE *f;
{
	int ch, pos;

	ch=pos=0;
	while (ch != 0x0a && pos<max) {
		ch=getc(f);
		if (ch == -1) return -1;
		str[pos++]=ch;
		str[pos]=0;
	}
	if (ch== 0x0a) str[pos-1]=0;
	return (strlen(str));
}

int
fgetline(str,max,f)
char *str;
int max;
FILE *f;
{
	int l;

	while ((l=fgetlin(str, max, f)) == 0) ;
	return l;
}

int
getline(str,max)
char *str;
int max;
{
	int l;

	while ((l=getlin(str, max)) == 0) ;
	return l;
}

int
fputline(s,f)
char *s;
FILE *f;
{
	while (*s) fputc(*s++,f);
	fputc(0x0a,f);
}

int
get_yes()
{
	register char ch;

	do {
		ch=getch();
		ch=toupper(ch);
	} while ( (ch!=0x59) && (ch!=0x4e));
	return (ch == 0x59); /* True is Yes */
}

putxch(val, f)
FILE f;
int val;
{
	char v;

	v= (val >> 4) &0x0f;
	if (v > 9) v += 7;
	fputc(v+0x30, f);
	v=(val & 0x0f);
	if (v > 9) v += 7;
	fputc(v+0x30, f);
}

int
main(argc,argv)
int argc;
char *argv[];
{
	int i,l, skipit;
	char *ch, *in, *out;

	if (argc == 3) {
		in = argv[1];
		out = argv[2];
	}
	do {
		if (in) /* Name supplied in command line */ {
			fnami=fopen(in,"rt");
			if (fnami == NULL) {
				printf("%s does not exist.\n",in);
				in = NULL;
			}
		} else {
			printf("Cross reference file to read? ");
			getline(fname, 80);
			fnami=fopen(fname,"rt");
		}
	} while (fnami == NULL);

	do {
		if (out) /* Name supplied in command line */ {
			fnamo=fopen(out,"wt");
			if (fnamo == NULL) {
				printf("Can't write to %s\n",out);
				out = NULL;
			}
		} else {
			printf("Cross reference file to create? ");
			getline(fname, 80);
			fnamo=fopen(fname,"wt");
		}
	} while (fnamo == NULL);

	while (!feof(fnami)) {
		l=fgetline(zarr,80,fnami);
		if (l>0) {
			skipit = FALSE;
			ch = zarr;
			if (*ch == '~') ch++;
			if (*ch == '#') ch++;
			if (*ch == 'F' || *ch == 'L' || *ch == 'l') {
				skipit = TRUE;
				while (*++ch != ' ') {
					if (*ch == 0) break;
					if (*ch < '0' || *ch >'9') {
						skipit = FALSE;
						break;
					}
				}
			}
			if (!skipit) fputline(zarr,fnamo);
		}
	}
	/* All Done, close files */
	fclose(fnami);
	fclose(fnamo);
	return 0;
}

