400 DEF FNASIN (X)
410    IF ABS(X) >= .999999 THEN FNASIN = SGN(X) * 2 * ATN(1): EXIT DEF
420    FNASIN = ATN(X / SQR(1 - X * X))
430 END DEF
440 DEF FNACOS (X)
450    FNACOS = 2 * ATN(1) - FNASIN(X)
460 END DEF
470 DEF FNATN2 (X, Y)
480    IF ABS(X) < .00001 THEN FNATN2 = SGN(Y) * 2 * ATN(1): EXIT DEF
490    IF ABS(Y) < .00001 THEN FNATN2 = 2 * ATN(1) * (1 - SGN(X)): EXIT DEF
500    IF Y >= 0 AND X > 0 THEN FNATN2 = ATN(Y / X): EXIT DEF
510    IF Y >= 0 AND X < 0 THEN FNATN2 = 2 * ATN(1) - ATN(X / Y): EXIT DEF
520    IF X > 0 THEN FNATN2 = ATN(Y / X): EXIT DEF
530    FNATN2 = -2 * ATN(1) - ATN(X / Y)
540 END DEF
550 DEF FNT.MOD (T, T0)
560     WHILE T < 0: T = T + T0: WEND
570     MTT% = FIX(T / T0)
580     FNT.MOD = T - MTT% * T0
590 END DEF
600 DEF FNXFORM (X)
610      XFORM = X - HOME.LON: IF XFORM > 180 THEN XFORM = XFORM - 360
620      IF XFORM < -180 THEN XFORM = 360 + XFORM
630      FNXFORM = XFORM
640 END DEF
650 DEF FNDIG$ (X)
660 KX = X: AA$ = MID$(STR$(KX), 2): FNDIG$ = AA$: IF LEN(AA$) = 1 THEN FNDIG$ = "0" + AA$
670 END DEF
680 DEF FNDB (X) = 10 * LOG(X) / LOG(10)
690 DEF FNDBI (X) = 10 ^ (.1 * X)
700 DEF FNSUN.SPOT (SF) : REM   CALCULATION OF SUNSPOT NUMBER FROM SOLAR FLUX
710 IF SF > 0 THEN FNSUN.SPOT = SF: EXIT DEF
720 SF = ABS(SF)
730 SSQ = -103.7767 + 1.797429 * SF - (3.384356E-03) * SF ^ 2 + (4.525515E-06) * SF ^ 3
740 FNSUN.SPOT = INT(100 * SSQ + .5) / 100
750 END DEF
