10 REM			*** SATELLITE AZ/EL CHART ***
20 REM	Program generates dish-aiming coordinates for geosychronous satelites
30 REM  and prints out hard-copy chart. Program in GWBASIC was submitted
40 REM  by Jim Perry of WTIC-TV3, Hartford CT. December 11,1987 
50 REM  LAST SATELLITE POSITION UPDATE  JUNE 27,1991
60 REM
160 CLS:PI=3.141592654#:F=5.62168309325#
170 DEF FNAC(X)=-ATN(X/SQR(-X*X+1))+(PI/2):REM defines ARC COS function
180					REM SCREEN ROUTINE
190 PRINT:PRINT:PRINT:PRINT ,"   *****   SATELLITE AZ/EL CHART   *****"
200 PRINT:PRINT:PRINT:
210 INPUT"     Location Name";L$
220 IF LEN(L$)>25 THEN BEEP:PRINT"25 CHARACTERS MAXIMUM":GOTO 210
230 PRINT:INPUT"     Latitude (D,M,S)";LD,LM,LS
240 LAT=LD+(LM+LS/60)/60:LAT=LAT/(180/PI):REM d,m,s--->dcml degrs--->radians
250 PRINT:INPUT"     Longitude (D,M,S)";D,M,S
260 LN=D+(M+S/60)/60:LN=LN/(180/PI):REM d,m,s to dcml degrs to radians
270 PRINT:PRINT:PRINT
280 PRINT"          When printer is ready, hit any key to print....."
290 IF INKEY$="" THEN 290
320					REM Prints header & column names
330 LPRINT:LPRINT
350 LPRINT STRING$(80,"*")
360 LPRINT "                           E A R T H    S T A T I O N"
370 LPRINT:LPRINT "                             A Z / E L    C H A R T"
390 LPRINT"               TERMINAL LOCATION:   ";L$
400 LPRINT
410 LPRINT"     Latitude:";LD;"deg, ";LM;"min, ";LS;"sec"
420 LPRINT"     Longitude:";D;"deg, ";M;"min, ";s;"sec"
430 LPRINT
440 LPRINT STRING$(79,"*"):LPRINT
450 LPRINT "SATELLITE","FREQUENCY","SATELLITE","ANTENNA","ANTENNA"
460 LPRINT "  NAME"," (band)","POSITION","AZIMUTH","ELEVATION"
470 LPRINT , , "(degrees)","(degrees)","(degrees)"
480 LPRINT
490 RESTORE
500					REM Main compute/print loop 510-630
510 READ SP:IF SP=1000 THEN 650
520 READ SAT$
530 READ FQ$
540 SR=SP/(180/PI)
550 T1=COS(SR-LN)*COS(LAT)
560 T2=ATN(TAN(SR-LN)/SIN(LAT))
570 AZ=57.29578*(T2+PI):AZ=INT(100*AZ+.5)/100
580 T3=SQR(1+((1+F)^2)-2*T1*(1+F))
590 T4=FNAC((T3^2+1-(1+F)^2)/(2*T3))
600 EL=57.29578*(T4-(PI/2)):EL=INT(100*EL+.5)/100
605 LPRINT SAT$,"  ";FQ$,
610 LPRINT USING "  ###.#        ###.##         ##.##";,SP,AZ,EL
630 GOTO 510
640					REM Footer routine lines 650-770
650 LPRINT:LPRINT STRING$(79,"*")
660 LPRINT
670 LPRINT"                (Satellite information update thru 6/91)"
680					REM SEND FORM FEED TO PRINTER
710 LPRINT CHR$(12)
730 CLS:PRINT:PRINT:PRINT:PRINT: PRINT
740 INPUT"        Would you like another copy? (y/n)",A$
750 IF A$<>"y" AND A$<>"Y" AND A$<>"n" AND A$<>"N" THEN 740
760 IF A$ = "y" OR A$ = "Y" THEN CLS:GOTO 270
770 CLS:GOTO 900
780					REM Data progression: sat long,name,band
790					REM End of data flag = "1000"
800 DATA 69,SPACENET 2,C/Ku,72,SATCOM F2R,C,74,GALAXY 2,C,76,COMSTAR D2/D4,C
810 DATA 81,GE K2,Ku,82,SATCOM F4,C,85,GE K1,Ku,85,TELSTAR 302,C,87
815 DATA SPACENET 3,C/Ku,91,GALAXY 6,C
820 DATA 91,SBS 4,Ku,93,GSTAR 3,C/Ku,93.5,GALAXY 3,C,95,SBS 3,Ku,96,TELSTAR 301
825 DATA C,97,SBS 2,Ku,99,WESTAR 4,C,99,SBS 6,Ku
830 DATA 103,GSTAR 1,Ku,104.5,ANIK D1,C,105,GSTAR 2,Ku
831 DATA 107.3,ANIK C1,Ku,110,ANIK C2,Ku,110.7,ANIK D2,C
835 DATA 113.5,MORELOS 1,C/Ku,114.9,ANIK C3,Ku,116.8,MORELOS 2,C/Ku
836 DATA 120,SPACENET 1,C/Ku
840 DATA 122.5,WESTAR 5,C,123,SBS 5,Ku,125,GSTAR 4,Ku
841 DATA 125,TELSTAR 303,C,128,ASC 1,C/Ku,131,SATCOM F1R,C
850 DATA 133,GALAXY 1,C,139,SATCOM C1,C,143,AURORA 1,C,1000
900 END
